flash-kernel (3.100ubuntu5) hirsute; urgency=medium

  * Add workaround for older u-boot versions that can fail to read files
    using ext4 extents, and enable it for HP ProLiant m400 Moonshot Server
    Cartridges. LP: #1900796

 -- dann frazier <dannf@ubuntu.com>  Mon, 14 Dec 2020 16:48:14 -0700

flash-kernel (3.100ubuntu4) groovy; urgency=medium

  * Use wild-card matching in check_supported as well as get_machine_field
    (LP: #1899493)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 12 Oct 2020 15:21:57 +0100

flash-kernel (3.100ubuntu3) groovy; urgency=medium

  * Add new Pi models to the database
  * Remove the -raspi2 kernel flavor from the database
  * Add support for pattern matching in the Machine: field of the database
  * For the "pi" method, copy the boot firmware too (relates to LP: #1895137)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 23 Sep 2020 13:14:09 +0100

flash-kernel (3.100ubuntu2) groovy; urgency=medium

  * Import UC20 updates to the rpi bootscript from the snappy-dev/image
    PPA. LP: #1871831

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Jun 2020 14:29:41 +0100

flash-kernel (3.100ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add support for QCT APQ8064 CDP
      - Add support for QCT APQ8064 CDP; thanks Alfonso Sanchez-Beato.
    - Add support for Calxeda Highbank
      - Add support for Calxeda Highbank (with bootscr.highbank different from
        Debian's version)
      - bootscr.highbank: allow more space to load larger kernels
    - Add support for Nexus 4 (Mako)
      - Enabling support for mako (Nexus 4)
    - Add support for Marvell ArmadaXP
      - Re-add support for Marvell ArmadaXP
      - Fix armadaxp kernel load address
    - Add support for Samsung Exynos 5440 platforms
      - Add support for EXYNOS5440-based platforms
    - Add generic-lpae to the XB-Subarchitecture list in debian/control
      - debian/flash-kernel-installer.isinstallable: add arm*/generic-lpae
    - Add support for HP ProLiant m400 and m800 cartridges
      - Added support for HP ProLiant m800 Server Cartridge
      - Add support for HP ProLiant m800 cartridges
      - Set required boot arguments for HP ProLiant m800 cartridges
      - Add support for HP ProLiant m400 Server Cartridges
      - HP Moonshot Cartridges: Use $baudrate from u-boot environment as
        serial console speed
      - HP Moonshot Cartridges: Enable hardware flow control as required by
        the HP moonshot chassis
      - Enable U-Boot environment support for X-Gene platforms
      - Use filesystem agnostic "load" command instead of assuming ext4
      - Add a bootscript specific to X-Gene Mustang boards since they need to
        pull their dtb from the OS.
    - Add support for OMAP3 and OMAP4 boards
      - add DB entry for "OMAP3 Beagle Board" (funnily thats missing)
      - add Panda to the list of supported board in the README file
      - debian/control: Re-add omap and omap4 to the flash-kernel-installer
        XB-Subarchitecture field. These appear to have been lost somewhere
        along the way.
      - Also add omap and omap4 to flash-kernel-installer.isinstallable.
      - switch omap3 and omap4 to uEnv.txt/preEnv.txt (the former holds all
        active boot commands, the latter holds the kernel commandline only)
      - switch omap3 and omap4 from Bootloader-sets-root: no to yes, we now
        generate a root=UUID= line on the fly for arches using
        uEnv.txt/preEnv.txt
      - introduce bootscript/uEnvtxt.omap
      - do not move the original uEnvtxt.omap to the target, use a copy
        instead
      - add "quiet splash" as default options to omap bootscr
      - enable UUID detection of the currently used root device
      - if uEnv.txt is defined in the db for an arch, generate preEnv.txt from
        UBOOT_DEFAULTS and UUID detection data
      - make sure blkid only gives us the UUID and not any other metadata like
        labels or filesystem
      - hide the boot device from udisk's automounting after installation on
        all systems using uEnv.txt to configure u-boot
      - make sure we only rename the bootrom partition so udisks hides it,
        when using mkdosfs for setting the label like we did in jasper (where
        we cached the contents before doing this) MLO and u-boot.bin are gone
    - Add support for grouper boards
      - add support for the grouper architecture
    - Add support for Wandboard Quad
      - Wandboard: Use /dev/disk/by-path/platform-2198000.usdhc-part1
        instead of the hardcoded mmcblk1p1, this should make things work on
        boards with just a single microSD card in.
      - Add basic support for WandBoard Quad.
    - Add support for Raspberry Pi 2, 3, 3+, CM3, CM3+, and 4 using a unified
      bootscript (replaces upstream's entries)
      - Update pi bootscript to support all flash-kernel vars, including
        calculated devtype and partition for future USB boot support
      - Install all potential uboot scripts [previously undocumented]
    - db/all.db: Add dummy entries as noops when running on VMs
    - make sure that if we dont want to override the bootloader root=
      option by setting "Bootloader-sets-root: yes", we actually dont do it
    - Update tests with new fields: Bootloader-sets-root
    - use umount -l in the cleanup function, else we fail while finishing up
      with the script
    - add a diversion for update-initramfs to live-installers
      post-base-installer.d to avoid update-initramfs runs before flash-kernel
      is configured
    - add a check for the diverted update-initramfs to flash-kernel-installer,
      so it gets reverted before we try to call update-initramfs
    - make post-base-installer.d/01flash-kernel-diversion actually an
      executable shell script
    - make sure that /dev is bind mounted in /target when running
      update-initramfs from flash-kernel-installer, else we do not find the
      boot media (this is only a workaround, actual fixing of the netinst
      environment is needed to fix this properly)
    - drop the "|| true" from the initramfs building code, if we fail here we
      actually dont want to attempt to flash that
    - Do not run flash-kernel inside an LXC container
    - Migrate default /etc/default/flash-kernel content to new default without
      asking via debconf
    - Filter the selection of 'latest' usable kernel through the whitelist.
    - Do not fail if there are no specified Kernel-Flavors for this machine.
    - flash-kernel/functions: Stop attempting to install the latest kernel
      if we request an older version, just refuse to act without --force.
    - Look for dtbs in /lib/firmware/$kvers/device-tree/ in find_dtb_file()
    - Allow us to find DTBs in both the old flat layout and the new vendor
      subdirectory layout, so we keep backward compatibility
    - Add support for gzip-compressed kernel images
    - Add support for AAarch64 Qualcomm laptops.
      - Fix AARCH64 qcom laptop names, to those accepted upstream and in the
        Ubuntu kernel. LP: #1847594
    - Fix mkimage_kernel tests
    - Add "pi" value for the "Method" field which copies all dtbs and overlays
      to the boot partition and provides defaults for the boot paths of the
      kernel, initrd, and u-boot script. This fixes upgrades to support the Pi
      4 on Bionic (LP: #1850678)
    - Add tests for android-related functions [previously undocumented]
    - Add Kernel-Flavors check to Raspberry Pi entries [previously
      undocumented]
      - Support "raspi" kernel flavor in addition to "raspi2" (LP: #1868071)
    - Add entry for Raspberry Pi 3A+ (LP: #1841955)
    - Always run flash-kernel on install/upgrade
    - Permit initrd to be missing in flash-kernel and the pi u-boot script
      (LP: #1867791)

  * Dropped obsolete changes:
    - Include support for arm*/ixp4xx and arm*/iop32x (was dropped upstream
      but erroneously re-included in prior merge)
    - re-add support for the FLASH_KERNEL_SKIP env variable, so the image
      build infrastructure has a chance to skip the automated flash-kernel run
      during image builds.
    - Also check for FLASH_KERNEL_SKIP to avoid setting up the root parameter
      in case flash-kernel will not be used
    - make the package postinst respect FLASH_KERNEL_SKIP
    - Remove FLASH_KERNEL_SKIP; it's no longer used in livecd-rootfs
    - Add support for installing dtb files in boot partition
    - Remove redundant copying of boot dtb
    - Apply patch from Paolo Pisati for appended DTB support
    - Update tests with new fields: DTB-Kernel-Version
    - Fix typo in dtb_kver test that made it break all non-dtb platforms.
    - Remove redundant DTB-Kernel-Version field (in favour of upstream
      DTB-Append-From field)
    - Merge all RPi bootscripts into one unified bootscript which handles all
      Pi architectures
    - Remove uboot.env case which was only used for RPi2 (now supported by the
      unified RPi bootscript)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 04 May 2020 20:14:16 +0000

flash-kernel (3.100) unstable; urgency=medium

  * Team upload

  [ Uwe Kleine-König ]
  * Add support for bootspec entries (bootable by barebox). (Closes: #931953)
  * Fix a corner case that makes flash-kernel fail silently. (Closes: #932231)
  * Make initrd optional for machines with Boot-Multi-Path. (Adresses:
    #869073)

  [ Guido Günther ]
  * Add support for Librem 5 devkit (Closes: #927700)

  [ Lubomir Rintel]
  * Add support for OLPC XO-1.75 laptops.

  [ Holger Wansing ]
  * Add comment for translators, to keep main menu entry below a 55 columns
    limit. This updates all po|pot files.

  [ Updated translations ]
  * Croatian (hr.po) by gogogogi
  * Marathi (mr.po) by Prachi Joshi

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 01 Feb 2020 07:19:22 +0100

flash-kernel (3.99) unstable; urgency=medium

  [ Domenico Andreoli ]
  * Add support for NanoPi NEO2 (Closes: #928861).

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927488)

  [ Heinrich Schuchardt ]
  * Add Marvell 8040 MACCHIATOBin Double-shot and Single-shot.
    (Closes: #928951)

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 24 May 2019 18:36:25 -0700

flash-kernel (3.98ubuntu12) focal; urgency=medium

  * Support "raspi" kernel flavor in addition to "raspi2" (LP: #1868071)
  * Permit initrd to be missing in flash-kernel and the pi u-boot script
    (LP: #1867791)
  * Backport optional initrd changes from upstream to reduce our delta
  * Move the container test from initramfs and kernel hooks to main to prevent
    flash-kernel ever running in a container (LP: #1863145)
  * Remove FLASH_KERNEL_SKIP; it's no longer used in livecd-rootfs

 -- Dave Jones <dave.jones@canonical.com>  Mon, 23 Mar 2020 14:10:03 +0000

flash-kernel (3.98ubuntu11) focal; urgency=medium

  * Permit flash-kernel to workaround an inconsistent /boot directory when
    triggered prior to the kernel finishing its triggers (LP: #1861292)

 -- Dave Jones <dave.jones@canonical.com>  Wed, 29 Jan 2020 16:15:05 +0000

flash-kernel (3.98ubuntu10) focal; urgency=medium

  * Always run flash-kernel on install/upgrade

 -- Dave Jones <dave.jones@canonical.com>  Wed, 22 Jan 2020 19:53:20 +0000

flash-kernel (3.98ubuntu9) focal; urgency=medium

  * Ensure overlays dir always exists

 -- Dave Jones <dave.jones@canonical.com>  Fri, 17 Jan 2020 13:40:28 +0000

flash-kernel (3.98ubuntu8) focal; urgency=medium

  * Add support for the Raspberry Pi 4 rev 1.2 board (LP: #1854487)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 29 Nov 2019 11:35:00 +0000

flash-kernel (3.98ubuntu7) focal; urgency=medium

  * Add systemd depends, as systemd-detect-virt is called in the scripts.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 Nov 2019 14:18:02 +0000

flash-kernel (3.98ubuntu6) focal; urgency=medium

  * Remove redundant DTB-Kernel-Version field
  * Remove redundant copying of boot dtb
  * Fix mkimage_kernel tests
  * Add "pi" value for the "Method" field which copies all dtbs and overlays
    to the boot partition and provides defaults for the boot paths of the
    kernel, initrd, and u-boot script. This fixes upgrades to support the Pi 4
    on Bionic (LP: #1850678)
  * Update pi bootscript to support all flash-kernel vars, including
    calculated devtype and partition for future USB boot support
  * Add entry for Raspberry Pi 3A+ (LP: #1841955)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 07 Nov 2019 14:02:26 +0000

flash-kernel (3.98ubuntu5) eoan; urgency=medium

  * Fix AARCH64 qcom laptop names, to those accepted upstream and in the
    Ubuntu kernel. LP: #1847594

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 10 Oct 2019 13:04:59 +0100

flash-kernel (3.98ubuntu4) eoan; urgency=medium

  * Add support for Raspberry Pi 4 (LP: #1847587)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 10 Oct 2019 10:41:43 +0100

flash-kernel (3.98ubuntu3) eoan; urgency=medium

  * Add support for AAarch64 Qualcomm laptops.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 21 Jul 2019 11:17:17 -0300

flash-kernel (3.98ubuntu2) eoan; urgency=medium

  * Merge all RPi bootscripts into one unified bootscript which handles all Pi
    architectures
  * Remove uboot.env case which was only used for RPi2 (now supported by the
    unified RPi bootscript)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 11 Jun 2019 13:43:21 +0000

flash-kernel (3.98ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - add "quiet splash" as default options to omap bootscr
    - re-add support for the FLASH_KERNEL_SKIP env variable, so the image
      build infrastructure has a chance to skip the automated flash-kernel run
      during image builds.
    - Also check for FLASH_KERNEL_SKIP to avoid setting up the root parameter
      in case flash-kernel will not be used
    - make the package postinst respect FLASH_KERNEL_SKIP
    - make sure that if we dont want to override the bootloader root=
      option by setting "Bootloader-sets-root: yes", we actually dont do it
    - use umount -l in the cleanup function, else we fail while finishing up
      with the script
    - add a diversion for update-initramfs to live-installers
      post-base-installer.d to avoid update-initramfs runs before flash-kernel
      is configured
    - add a check for the diverted update-initramfs to flash-kernel-installer,
      so it gets reverted before we try to call update-initramfs
    - make post-base-installer.d/01flash-kernel-diversion actually an
      executable shell script
    - enable UUID detection of the currently used root device
    - if uEnv.txt is defined in the db for an arch, generate preEnv.txt from
      UBOOT_DEFAULTS and UUID detection data
    - make sure blkid only gives us the UUID and not any other metadata like
      labels or filesystem
    - hide the boot device from udisk's automounting after installation on all
      systems using uEnv.txt to configure u-boot
    - make sure we only rename the bootrom partition so udisks hides it,
      when using mkdosfs for setting the label like we did in jasper (where
      we cached the contents before doing this) MLO and u-boot.bin are gone
    - make sure that /dev is bind mounted in /target when running
      update-initramfs from flash-kernel-installer, else we do not find the
      boot media (this is only a workaround, actual fixing of the netinst
      environment is needed to fix this properly)
    - drop the "|| true" from the initramfs building code, if we fail here we
      actually dont want to attempt to flash that
    - Do not run flash-kernel inside an LXC container
    - Call systemd-detect-virt instead of the Ubuntu specific
      running-in-container wrapper.
    - Add generic-lpae to the XB-Subarchitecture list in debian/control
    - debian/flash-kernel-installer.isinstallable: add arm*/generic-lpae
    - Fix typo in dtb_kver test that made it break all non-dtb platforms.
    - Apply patch from Paolo Pisati for appended DTB support
    - Filter the selection of 'latest' usable kernel through the whitelist.
    - Do not fail if there are no specified Kernel-Flavors for this machine.
    - Allow us to find DTBs in both the old flat layout and the new vendor
      subdirectory layout, so we keep backward compatibility
    - Add support for installing dtb files in boot partition
    - Add support for gzip-compressed kernel images
    - db/all.db: add dummy entries as noops when running on VMs
    - Add support for Calxeda Highbank
      - Add support for Calxeda Highbank (with bootscr.highbank different from
        Debian's version)
      - bootscr.highbank: allow more space to load larger kernels
    - Add support for Marvell ArmadaXP
      - Re-add support for Marvell ArmadaXP
      - Fix armadaxp kernel load address
    - Add support for OMAP3 and OMAP4 boards
      - add DB entry for "OMAP3 Beagle Board" (funnily thats missing)
      - add Panda to the list of supported board in the README file
      - debian/control: Re-add omap and omap4 to the flash-kernel-installer
        XB-Subarchitecture field. These appear to have been lost somewhere
        along the way.
      - Also add omap and omap4 to flash-kernel-installer.isinstallable.
      - switch omap3 and omap4 to uEnv.txt/preEnv.txt (the former holds all
        active boot commands, the latter holds the kernel commandline only)
      - switch omap3 and omap4 from Bootloader-sets-root: no to yes, we now
        generate a root=UUID= line on the fly for arches using
        uEnv.txt/preEnv.txt
      - introduce bootscript/uEnvtxt.omap
      - do not move the original uEnvtxt.omap to the target, use a copy
        instead
    - Add support for grouper boards
      - add support for the grouper architecture
    - Add support for Samsung Exynos 5440 platforms
      - Add support for EXYNOS5440-based platforms
    - Add support for HP ProLiant m400 and m800 cartridges
      - Added support for HP ProLiant m800 Server Cartridge
      - Add support for HP ProLiant m800 cartridges
      - Set required boot arguments for HP ProLiant m800 cartridges
      - Add support for HP ProLiant m400 Server Cartridges
      - HP Moonshot Cartridges: Use $baudrate from u-boot environment as
        serial console speed
      - HP Moonshot Cartridges: Enable hardware flow control as required by
        the HP moonshot chassis
      - Enable U-Boot environment support for X-Gene platforms
      - Use filesystem agnostic "load" command instead of assuming ext4
      - Add a bootscript specific to X-Gene Mustang boards since they need to
        pull their dtb from the OS.
    - Add support for Wandboard Quad
      - Wandboard: Use /dev/disk/by-path/platform-2198000.usdhc-part1
        instead of the hardcoded mmcblk1p1, this should make things work on
        boards with just a single microSD card in.
      - Add basic support for WandBoard Quad.
    - Add support for Raspberry Pi 2, 3, 3+, CM3, and CM3+
      - Extend support for the RPi2 to actually install the kernel/initramfs
        on the fat partition, and provide a uboot boot script based on the one
        used for Snappy images.
      - Extend functions to support generating uboot.env images, as an
        alternative to boot.scr and uEnv.txt, and use this for RPi2 as well.
      - Adjust the uboot.env.rpi2 to use the one Paolo Pisati has tested,
        instead of trying to base on the Snappy one, which is failing to boot.
      - Adjust the size of uboot.env based on empirical results on the rpi2.
      - Adjust rpi2/3 dtb address from 0x100 to 0x02000000
      - Support Raspberry Pi 2 Model B Rev 1.2
      - Add Raspberry Pi 3 Model B+ to the db.
      - Modify the Pi 3 boot.scr addresses to fit a bigger kernel, prepare
        separate versions for armhf and arm64.
      - Add Raspberry Pi Compute Module 3 and 3+ to the db.
    - Add support for Nexus 4 (Mako)
      - Enabling support for mako (Nexus 4)
    - Add support for QCT APQ8064 CDP
      - Add support for QCT APQ8064 CDP; thanks Alfonso Sanchez-Beato.
    - Migrate default /etc/default/flash-kernel content to new default without
      asking via debconf
    - Update tests with new fields: Android-Skip-Initrd, Bootloader-sets-root,
      DTB-Kernel-Version
    - Look for dtbs in /lib/firmware/$kvers/device-tree/ in find_dtb_file()
    - Add Bootloader-sets-root to Toshiba AC100 [previously undocumented]
    - Install all potential uboot scripts [previously undocumented]
    - initramfs-hook/flash-kernel: Pretend we're running from the kernel's
      postinst to activate the same guard against mismatched kernel versions.
    - flash-kernel/functions: Stop attempting to install the latest kernel
      if we request an older version, just refuse to act without --force.

  * Dropped changes merged in Debian:
    - Remove commit-tmp cruft [previously undocumented]

  * Dropped obsolete changes:
    - Add archs (why?) and duplicate generic (why?!) in d/control [previously
      undocumented]

 -- Dave Jones <dave.jones@canonical.com>  Thu, 16 May 2019 12:08:32 +0000

flash-kernel (3.98) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add machine db entry for Rock64 (Closes: #906696). Thanks to Josua
    Mayer.
  * Add machine db entry for Banana Pi M2 Berry (Closes: #923483). Thanks
    to Lucas Nussbaum.

  [ Cyril Brulebois ]
  * Drop support for arm*/ixp4xx and arm*/iop32x; support for those
    platforms was removed from the Linux kernel and therefore d-i.

  [ Heinrich Schuchardt ]
  * Provide db entry for the Pine A64 LTS board (Closes: #923655).

  [ Jonas Smedegaard ]
  * Add an entry for Olimex A64 Teres-I (Closes: #926071).

  [ Vagrant Cascadian ]
  * Add entries for Raspberry Pi 1, Pi Zero and Pi 3 Compute Module
    (Closes: #921518). Thanks to Alexandre GRIVEAUX.

  [ Updated translations ]
  * Indonesian (id.po) by Muhammad Rifqi Priyo Susanto
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 04 Apr 2019 23:38:42 +0200

flash-kernel (3.97) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add machine db entry for Odroid HC1 (Closes: #916980). Thanks to
    Benjamin Drung.

  [ Karsten Merker ]
  * Apply a patch from Hajo Noerenberg adding a machine db entry for
    the Seagate Blackarmor NAS220 (Closes: #918193).

 -- Karsten Merker <merker@debian.org>  Fri, 04 Jan 2019 14:43:50 +0100

flash-kernel (3.96) unstable; urgency=medium

  [ Helmut Grohne ]
  * Support DEB_BUILD_OPTIONS=nocheck (Closes: #908355)

  [ Karsten Merker ]
  * Add a machine db entry for the Helios-4 NAS system,
    provided by Josua Mayer. (Closes: #914016)

 -- Karsten Merker <merker@debian.org>  Sun, 18 Nov 2018 19:26:50 +0100

flash-kernel (3.95) unstable; urgency=medium

  [ Heinrich Schuchardt ]
  * Add a machine db entry for the Rockchip RK3288 Tinker Board.
    (Closes: #895934)

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Heinrich Schuchardt ]
  * Update Firefly-RK3399 Board (Closes: #899091).
  * Rockchip RK3399 Evaluation Board (Closes: #899090).
  * Update entry for Marvell 8040 MACCHIATOBin (Closes: #899092):
    - Add new Machine name.
    - Update DTB path.
  * Update Pine64+ (Closes: #899093).
  * Update Raspberry Pi 3 Model B (Closes: #899096).

  [ Josua Mayer ]
  * Clearfog Pro: correct DTB name (Closes: #902432).
  * Add missing entries for HummingBoard variants (Closes: #905962).

  [ Vagrant Cascadian ]
  * Add entries for additional Cubox-i models:
    - SolidRun Cubox-i Dual/Quad (1.5som)
    - SolidRun Cubox-i Dual/Quad (1.5som+emmc)
  * Add entry for Raspberry PI 3 B+ (Closes: #905002).
    Thanks to Johannes Keyser.

 -- Karsten Merker <merker@debian.org>  Sun, 19 Aug 2018 22:42:38 +0200

flash-kernel (3.94) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Fix typos in imx-base boot script.

  [ Uwe Kleine-König ]
  * Add Boot-DTB-Path-Version similar to Boot-Kernel-Path-Version.

 -- Christian Perrier <bubulle@debian.org>  Sat, 14 Apr 2018 07:42:10 +0200

flash-kernel (3.93) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add support for Theobroma Systems RK3399-Q7 SoM.

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 Mar 2018 05:59:42 +0100

flash-kernel (3.92) unstable; urgency=medium

  [ Updated translations ]
  * Hebrew (he.po) by Yaron Shahrabani

 -- Christian Perrier <bubulle@debian.org>  Wed, 21 Feb 2018 12:19:06 +0100

flash-kernel (3.91) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Make ubootenv.d work on CuBox-i. Thanks to Rainer Dorsch.
  * Do not install flash-kernel.in.

  [ Heinrich Schuchardt ]
  * flash-kernel: Provide hook to start EFI application (Closes: #873390).

  [ Vagrant Cascadian ]
  * Add support for SolidRun Clearfog Boards (Closes: #839595). Thanks to
    Christoph Egger and Joshua Mayer.
  * Add support for SolidRun CuBox (dove) (Closes: #876773). Thanks to
    Josua Mayer.
  * Fix when no Kernel-Flavors are defined (Closes: #887803).
  * Add Boot-Kernel-Path-Version and Boot-Initrd-Path-Version to be used
    to append the version to the generated kernel/initrd images.
  * debian/control: Set Rules-Requires-Root: no.

  [ Heinrich Schuchardt ]
  * flash-kernel: support relative paths for DTB-Id (Closes: #860304).

  [ Vagrant Cascadian ]
  * Add compatibility symlink to dtb in vendor sub-directory.
  * Add support for root device specified by PARTLABEL.

  [ Andre Heider ]
  * Add support for multiple scripts sources

  [ Vagrant Cascadian ]
  * Convert Wandboard and CuBox-i to use a shared imx-base plus
    uboot-generic boot script.
  * Adjust sunxi boot script to prefer prefix variable if defined to set
    the locations to search for boot files.

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Thu, 01 Feb 2018 06:32:56 +0100

flash-kernel (3.90ubuntu5) disco; urgency=medium

  * Add Raspberry Pi Compute Module 3 and 3+ to the db.

 -- Dave Jones <dave.jones@canonical.com>  Thu, 14 Feb 2019 11:12:13 +0000

flash-kernel (3.90ubuntu4) disco; urgency=medium

  * Add Raspberry Pi 3 Model B+ to the db.
  * Modify the Pi 3 boot.scr addresses to fit a bigger kernel, prepare
    separate versions for armhf and arm64.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 05 Dec 2018 00:18:12 +0200

flash-kernel (3.90ubuntu3) bionic; urgency=medium

  * flash-kernel/functions: Stop attempting to install the latest kernel
    if we request an older version, just refuse to act without --force.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Apr 2018 05:11:44 -0600

flash-kernel (3.90ubuntu2) bionic; urgency=medium

  * initramfs-hook/flash-kernel: Pretend we're running from the kernel's
    postinst to activate the same guard against mismatched kernel versions.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Apr 2018 08:17:06 -0600

flash-kernel (3.90ubuntu1) bionic; urgency=medium

  [ Balint Reczey ]
  *  Merge with Debian (LP: #1743771)
     - remaining changes:
       - add "quiet splash" as default options to omap bootscr
       - re-add support for the FLASH_KERNEL_SKIP env variable, so the image
         build infrastructure has a chance to skip the automated flash-kernel
         run during image builds.
       - bootscr.highbank: allow more space to load larger kernels
       - Add support for Calxeda Highbank (with bootscr.highbank different from
         Debian's version)
       - Re-add support for Marvell ArmadaXP
       - Fix armadaxp kernel load address
       - use umount -l in the cleanup function, else we fail while finishing up
         with the script
       - add DB entry for "OMAP3 Beagle Board" (funnily thats missing)
       - add Panda to the list of supported board in the README file
       - debian/control: Re-add omap and omap4 to the flash-kernel-installer
         XB-Subarchitecture field. These appear to have been lost somewhere
         along the way.
       - Also add omap and omap4 to flash-kernel-installer.isinstallable.
       - add a diversion for update-initramfs to live-installers
         post-base-installer.d to avoid update-initramfs runs before
         flash-kernel is configured
       - add a check for the diverted update-initramfs to
         flash-kernel-installer, so it gets reverted before we try to call
         update-initramfs
       - make post-base-installer.d/01flash-kernel-diversion actually an
         executable shell script
       - switch omap3 and omap4 to uEnv.txt/preEnv.txt (the former holds all
         active boot commands, the latter holds the kernel commandline only)
       - enable UUID detection of the currently used root device
       - if uEnv.txt is defined in the db for an arch, generate preEnv.txt from
         UBOOT_DEFAULTS and UUID detection data
       - switch omap3 and omap4 from Bootloader-sets-root: no to yes, we now
         generate a root=UUID= line on the fly for arches using
         uEnv.txt/preEnv.txt
       - introduce bootscript/uEnvtxt.omap
       - do not move the original uEnvtxt.omap to the target, use a copy instead
       - initramfs-tools/hooks/flash_kernel_set_root:
         - make sure that if we dont want to override the bootloader root=
           option by setting "Bootloader-sets-root: yes", we actually dont do it
         - Also check for FLASH_KERNEL_SKIP to avoid setting up the root
           parameter in case flash-kernel will not be used
         - this is a slightly different approach to fix the bug than
           the patch attached to the bug.
       - hide the boot device from udisk's automounting after installation
         on all systems using uEnv.txt to configure u-boot
       - make sure we only rename the bootrom partition so udisks hides it,
         when using mkdosfs for setting the label like we did in jasper (where
         we cached the contents before doing this) MLO and u-boot.bin are gone
       - make sure that /dev is bind mounted in /target when running
         update-initramfs from flash-kernel-installer, else we do not find the
         boot media (this is only a workaround, actual fixing of
         the netinst environment is needed to fix this properly)
       - add support for the grouper architecture
       - make sure blkid only gives us the UUID and not any other metadata like
         labels or filesystem
       - drop the "|| true" from the initramfs building code, if we fail here we
         actually dont want to attempt to flash that
       - Do not run flash-kernel inside an LXC container
       - Accept "generic" as a valid kernel flavor on highbank
       - Add support for Calxeda ECX-2000 to the machine DB
       - Add generic-lpae to the XB-Subarchitecture list in debian/control
       - Update the Highbank entry in DB to use its device-tree model name
       - Fix the testsuite to work with the new DT model support and add
         a new test to specifically try to use a DT instead of cpuinfo.
       - And now fix the quoting error exposed by the fixed testsuite.
       - debian/flash-kernel-installer.isinstallable: add arm*/generic-lpae
       - Fix typo in dtb_kver test that made it break all non-dtb platforms.
       - Add support for EXYNOS5440-based platforms
       - Added support for HP ProLiant m800 Server Cartridge
       - Filter the selection of 'latest' usable kernel through the
         whitelist.
       - Do not fail if there are no specified Kernel-Flavors for this machine.
         - HP Moonshot Cartridges: Use $baudrate from u-boot environment as
           serial console speed
         - HP Moonshot Cartridges: Enable hardware flow control as required by
           the HP moonshot chassis
         - Enable U-Boot environment support for X-Gene platforms
         - Use filesystem agnostic "load" command instead of assuming ext4
         - Add support for HP ProLiant m800 cartridges
         - Set required boot arguments for HP ProLiant m800 cartridges
       - Allow us to find DTBs in both the old flat layout and the new vendor
         subdirectory layout, so we keep backward compatibility
       - Wandboard: Use /dev/disk/by-path/platform-2198000.usdhc-part1
         instead of the hardcoded mmcblk1p1, this should make things work on
         boards with just a single microSD card in.
       - make the package postinst respect FLASH_KERNEL_SKIP
       - Call systemd-detect-virt instead of the Ubuntu specific
         running-in-container wrapper.
       - Extend support for the RPi2 to actually install the kernel/initramfs
         on the fat partition, and provide a uboot boot script based on the one
         used for Snappy images.
       - Extend functions to support generating uboot.env images, as an
         alternative to boot.scr and uEnv.txt, and use this for RPi2 as well.
       - Adjust the uboot.env.rpi2 to use the one Paolo Pisati has tested,
         instead of trying to base on the Snappy one, which is failing to boot.
       - Adjust the size of uboot.env based on empirical results on the rpi2.

     - dropped changes, merged in Debian:
       - make sure the call to abootimg -i does not make the script fail
         (checking non bootimg devices makes it return 1 even though there
         is no error, this in turn makes teh whole script fail since we run
         with "set -e")
       - determine the latest installer kernel version in the target rootfs
         instead of assuming the version is the same as the running kernel
       - flash-plugin-installer: make installable on armhf/generic for highbank
       - Also update XB-Subarchitecture to use "generic" instead of 'highbank"
       - Extending Android specific options to cover the Ubuntu Touch use cases
         (flashing to a specific device and support skipping initrd)
       - Enabling support for mako (Nexus 4)
       - Fix get_kfile_suffix() function to deal with flavours with dashes.
       - Apply patch from Paolo Pisati for appended DTB support
       - Add basic support for WandBoard Quad.
       - flash-kernel-installer: make installable on armhf/exynos5
       - Add support for APM X-Gene
       - Add support for installing dtb files in boot partition; activate this
         for APM X-Gene boards
       - Add support for HP ProLiant m400 Server Cartridges
       - Update APM X-Gene config to match upstream device tree filename/model
       - Add a bootscript specific to X-Gene Mustang boards since they need to
         pull their dtb from the OS.
       - db/all.db: add dummy entries as noops when running on VMs
       - Add U-Boot environment configuration support
       - Cherry pick from Debian: Succeed but do nothing when run on an
         unknown machine which was booted via EFI.
       - Add support for the Raspberry Pi2; thanks to Paolo Pisati
       - Cherry-pick fixes from Debian to support copying kernel/initrd to
         destination.
       - Add Raspberry Pi 3 support
       - Add support for gzip-compressed kernel images
       - Adjust rpi2/3 dtb address from 0x100 to 0x02000000
       - Add support for QCT APQ8064 CDP; thanks Alfonso Sanchez-Beato.
       - Check /proc/device-tree/model before /proc/cpuinfo

     - dropped obsoleted changes:
       - add very very ugly temporary workaround to make quantal A3 arm server
         installs possible (yes, i suck)
       - re-add a diversion for update-initramfs to live-installers
         post-base-installer.d to avoid update-initramfs runs before
         flash-kernel is configured
       - re-add a check for the diverted update-initramfs to
         flash-kernel-installer, so it gets reverted before we try to call
         update-initramfs
       - drop teh super ugly hack that added a /var/lib/flash-kernel/configured
         file to actually check if flash-kernel is configured
       - sigh, not only drop the creation of /var/lib/flash-kernel/configured
         but also the check for its existance, else we will always exit 0
       - make post-base-installer.d/01flash-kernel-diversion executable
       - flash-kernel-installer.postinst: now that we have a diversion in place
         there isnt a pre-existing initrd, instead of calling
         update-initramfs -u we better call update-initramfs -c -k all to create
         one from scratch
       - seemingly -k all doesnt want to work with -c, use -k $(uname -r) for
         now
       - enable generation of a /etc/default/flash-kernel file from
         flash-kernel-installer holding a UBOOT_DEFAULTS variable with distro
         default settings (ro quiet splash)
       - make /etc/default/flash-kernel a proper conffile
       - Added support for user defined uboot environment variables
  * Update tests with new fields: Android-Skip-Initrd, Bootloader-sets-root,
    DTB-Kernel-Version
  * Migrate default /etc/default/flash-kernel content to new default without asking via debconf
  * Look for dtbs in /lib/firmware/$kvers/device-tree/ in find_dtb_file()

  [ Alex McWhirter ]
  * Support Raspberry Pi 2 Model B Rev 1.2

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 26 Jan 2018 22:05:44 +0100

flash-kernel (3.90) unstable; urgency=medium

  [ Andreas Henriksson ]
  * Make ubootenv.d work on Wandboard (Closes: #884375).
  * Warn when ubootenv.d snippet will be ignored (Closes: #884376).

  [ Vagrant Cascadian ]
  * Add option to allow "any" in Kernel-Flavors (Closes: #883547).

  [ Ian Campbell ]
  * Fix local shadow of $dtb_name in handle_dtb (Closes: #870430).
  * Reduce scope of $dtb in handle_dtb.

  [ Christian Perrier ]
  * Remove Loic, Hector and Ian from Uploaders. Thanks for your work
  * Add Vagrant and Karsten in Uploaders.

 -- Christian Perrier <bubulle@debian.org>  Mon, 08 Jan 2018 06:54:35 +0100

flash-kernel (3.89) unstable; urgency=medium

  * Team upload.

  [ Karsten Merker ]
  * Applied a patch from Sunil Mohan Adapa <sunil@medhas.org> supporting
    the installation of 32bit kernels on the Raspberry Pi 3.
    (Closes: #886225).

 -- Karsten Merker <merker@debian.org>  Wed, 03 Jan 2018 21:47:45 +0100

flash-kernel (3.88) unstable; urgency=medium

  [ Updated translations ]
  * Lithuanian (lt.po) by Rimas Kudelis
  * Norwegian Nynorsk (nn.po) by Allan Nordhøy

 -- Christian Perrier <bubulle@debian.org>  Thu, 30 Nov 2017 06:26:18 +0100

flash-kernel (3.87) unstable; urgency=medium

  * Team upload.

  [ Karsten Merker ]
  * Apply a patch from Heinrich Schuchardt <xypron.glpk@gmx.de> adding
    machine db entries for
    - Marvell Armada 8040 DB board
    - Marvell 8040 MACHIATOBin
    (Closes: #878570).

 -- Karsten Merker <merker@debian.org>  Sun, 15 Oct 2017 21:39:03 +0200

flash-kernel (3.86) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add entry for SolidRun HummingBoard Solo/DualLite.

 -- Christian Perrier <bubulle@debian.org>  Tue, 10 Oct 2017 06:36:22 +0200

flash-kernel (3.85) unstable; urgency=medium

  * Team upload.

  [ Ian Campbell ]
  * Correct typo, FK_PROC_DRMODEL should be FK_PROC_DTMODEL.

  [ Karsten Merker ]
  * Add machine db entries for two sunxi-based systems that are (at
    least partially) supported in kernel 4.13 and u-boot v2017.09:
    - FriendlyArm NanoPi M1 Plus
    - Olimex A20-OLinuXino-LIME2-eMMC

 -- Karsten Merker <merker@debian.org>  Wed, 04 Oct 2017 21:44:02 +0200

flash-kernel (3.84) unstable; urgency=medium

  [ James Valleroy ]
  * Add a machine db entry for the Raspberry Pi 3 Model B
   (Closes: #869488).

  [ Vagrant Cascadian ]
  * Add a machine db entry for the Firefly-RK3399.

 -- Christian Perrier <bubulle@debian.org>  Tue, 25 Jul 2017 06:58:47 +0200

flash-kernel (3.83) unstable; urgency=medium

  [ Karsten Merker ]
  * Applied a patch from Eva Ramon <debian@empanadilla.net> adding
    a machine db entry for the Radxa Rock 2 Square (Closes: #868166).

 -- Christian Perrier <bubulle@debian.org>  Mon, 17 Jul 2017 05:53:17 +0200

flash-kernel (3.82) unstable; urgency=medium

  [ Karsten Merker ]
  * Add machine db entries for various sunxi-based systems that are (at
    least partially) supported in kernel 4.12 and u-boot v2017.07-rc3:
    - Banana Pi BPI-M2-Plus
    - FriendlyArm NanoPi M1
    - FriendlyARM NanoPi NEO Air
    - Lichee Pi Zero
    - NextThing C.H.I.P. Pro
    - Xunlong Orange Pi Zero

 -- Christian Perrier <bubulle@debian.org>  Thu, 06 Jul 2017 09:49:37 +0200

flash-kernel (3.81) unstable; urgency=medium

  [ Karsten Merker ]
  * Applied a patch from Matthias Fritzsche <txt.file@txtfile.eu> adding
    a machine db entry for the BeagleBone Green (Closes: #866822).

 -- Christian Perrier <bubulle@debian.org>  Tue, 04 Jul 2017 11:54:45 +0200

flash-kernel (3.80) unstable; urgency=medium

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by Yangfl

 -- Christian Perrier <bubulle@debian.org>  Mon, 26 Jun 2017 10:46:53 +0200

flash-kernel (3.79) unstable; urgency=medium

  [ Roger Shimizu ]
  * Update db entry of Buffalo Linkstation LiveV3 (LS-CHL),
    because DTS is supported since debian kernel 4.9.10-1.

 -- Christian Perrier <bubulle@debian.org>  Wed, 19 Apr 2017 06:52:13 +0200

flash-kernel (3.78) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Update Orange Pi Plus db entry to also support "Xunlong Orange Pi Plus
    / Plus 2" which is used in recent kernel versions.

 -- Christian Perrier <bubulle@debian.org>  Thu, 13 Apr 2017 08:36:37 +0200

flash-kernel (3.77) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Add machine db entry for NETGEAR ReadyNAS Duo v2.  Thanks to Scott
    Barker (Closes: #855960)
  * Add machine db entry for Hardkernel ODROID-C2.  Thanks Heinrich
    Schuchardt (Closes: #845818).

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Mar 2017 06:52:54 +0100

flash-kernel (3.76) unstable; urgency=medium

  [ Marc Kleine-Budde ]
  * Add machine db entry for TI OMAP4 PandaBoard-ES (Closes: #857205).

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Mar 2017 05:48:21 +0100

flash-kernel (3.75) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add machine db entry for Pine64+.

 -- Christian Perrier <bubulle@debian.org>  Wed, 18 Jan 2017 07:00:43 +0100

flash-kernel (3.74) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Add machine db entry for Marvell ESPRESSOBin.
  * Only create DTB boot file on kernels that require DTB (Closes:
    #789886)
  * Improve error message when DTB is missing by showing the search
    path for DTB (Closes: #836679)

  [ Heinrich Schuchardt ]
  * Call mkimage with correct architecture (Closes: #845779)

 -- Christian Perrier <bubulle@debian.org>  Wed, 11 Jan 2017 05:48:07 +0100

flash-kernel (3.73) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Restore support for DTBs with absolute paths.

  [ Uwe Kleine-König ]
  * Add machine db entry for Netgear ReadyNAS 104 (Closes: #806926)

 -- Christian Perrier <bubulle@debian.org>  Tue, 20 Dec 2016 06:29:56 +0100

flash-kernel (3.72) unstable; urgency=medium

  * Team upload.

  [ Karsten Merker ]
  * Add machine db entries for various sunxi-based systems that are
    (at least partially) supported in kernel 4.9 and u-boot v2016.11:
    - Empire Electronix M712 tablet
    - FriendlyARM NanoPi NEO
    - INet-D978 Rev 02
    - iNet Q972 tablet
    - Xunlong Orange Pi Lite
    - Xunlong Orange Pi PC Plus
    - Xunlong Orange Pi Plus 2E

 -- Karsten Merker <merker@debian.org>  Thu, 01 Dec 2016 21:03:53 +0100

flash-kernel (3.71) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add machine db entry for USB armory board.
  * Update Cubieboard4 machine db entry to generate a boot script(in
    addition to legacy uImage/uInitrd), as Cubieboard4 is now supported in
    mainline u-boot.

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Nov 2016 07:46:00 +0100

flash-kernel (3.70) unstable; urgency=medium

  [ Karsten Merker ]
  * Add machine db entries for various sunxi-based systems that are
    (at least partially) supported in kernel 4.8 and u-boot v2016.09:
    - Allwinner R16 EVB (Parrot)
    - INet-86DZ Rev 01
    - Polaroid MID2407PXE03 tablet
  * Add a machine db entry for the Olimex A33-OLinuXino (supported
    in u-boot v2016.09 and in linux-next-20160923).

 -- Christian Perrier <bubulle@debian.org>  Tue, 27 Sep 2016 07:02:51 +0200

flash-kernel (3.69) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add support for root device being set using PARTUUID.

 -- Christian Perrier <bubulle@debian.org>  Wed, 21 Sep 2016 07:53:46 +0200

flash-kernel (3.68) unstable; urgency=medium

  [ Karsten Merker ]
  * Add machine db entries for various sunxi-based systems that are
    (at least partially) supported in kernel 4.7 and u-boot v2016.07:
    - Colorfly E708 Q1 tablet
    - Difrnce DIT4350
    - Dserve DSRV9703C
    - Polaroid MID2809PXE04 tablet
    - Xunlong Orange Pi One
    - Xunlong Orange Pi PC
    - Xunlong Orange Pi 2
  * Fix the DTB-ID for generic Allwinner-A13-based Q8-form-factor tablets.

  [ Martin Michlmayr ]
  * Handle DTBs in vendor subdirectories (as found on arm64 kernels).
  * Add uboot-generic boot script for arm64: based on the armhf version
    but with booti.
  * Produce an error when the DTB cannot be found. (Closes: #833097)
  * Add a machine db entry for NVIDIA Jetson TX1 Developer Kit.
  * Add a machine db entry for DragonBoard 410c.
  * Fix typos in README.

 -- Christian Perrier <bubulle@debian.org>  Mon, 08 Aug 2016 07:33:38 +0200

flash-kernel (3.67) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add a machine db entry and boot script for Odroid-U3.

 -- Christian Perrier <bubulle@debian.org>  Mon, 20 Jun 2016 08:20:31 +0200

flash-kernel (3.66) unstable; urgency=medium

  [ Karsten Merker ]
  * Add machine db entries for various sunxi-based systems that are
    (at least partially) supported in kernel 4.6 and u-boot v2016.05:
    - Allwinner A83T H8Homlet Proto Dev Board v2.0
    - Cubietech Cubietruck Plus
    - ICnova-A20 SWAC
    - iNet-9F Rev 03
    - Itead Ibox A20
    - Sinlinx SinA31s Development Board
    - A10s-Wobo i5
    - Yones TopTech BS1078 v2 Tablet

 -- Christian Perrier <bubulle@debian.org>  Sat, 07 May 2016 08:48:55 +0200

flash-kernel (3.65) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add a machine db entry for Odroid XU4.

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 May 2016 08:09:09 +0200

flash-kernel (3.64) unstable; urgency=medium

  [ Roger Shimizu ]
  * Fix script issue specific on a few linkstation devices.

 -- Christian Perrier <bubulle@debian.org>  Thu, 21 Apr 2016 07:01:33 +0200

flash-kernel (3.63) unstable; urgency=medium

  [ Roger Shimizu ]
  * Update machine db entry for "Buffalo/Revogear Kurobox Pro" to add DTB
    support from kernel 4.5.1

 -- Christian Perrier <bubulle@debian.org>  Sat, 16 Apr 2016 09:29:29 +0200

flash-kernel (3.62) unstable; urgency=medium

  [ Roger Shimizu ]
  * Add <kvers> param to scripts under dtb-probe.
  * Fix a few cases prevent script "dtb-probe/kirkwood-linkstation" from
    running properly.

  [ Vagrant Cascadian ]
  * Add a machine db entry for Raspberry Pi 2 Model B.

 -- Christian Perrier <bubulle@debian.org>  Tue, 05 Apr 2016 09:37:42 +0200

flash-kernel (3.61) unstable; urgency=medium

  [ Roger Shimizu ]
  * Add myself to debian/copyright
  * Add script dtb-probe/kirkwood-linkstation, based on
    dtb-probe/kirkwood-qnap, to support smooth upgrade/downgrade of kernel,
    since there's a split/rename for device tree file of a few Buffalo
    Linkstation devices.
  * Make use of above script to determine DTB file for listed devices:
    - Buffalo Linkstation LS-VL
    - Buffalo Linkstation LS-WSXL
    - Buffalo Linkstation LS-WVL
    - Buffalo Linkstation LS-WVL/VL
    - Buffalo Linkstation LS-WXL
    - Buffalo Linkstation LS-WXL/WSXL
  * Update "DTB-Append-From" field for "Buffalo Linkstation Pro/Live",
    since the patch of device tree is backported to sid (4.4) kernel.
  * Update machine ID for "Buffalo Linkstation Mini (LS-WSGL)"

 -- Christian Perrier <bubulle@debian.org>  Fri, 25 Mar 2016 06:46:48 +0100

flash-kernel (3.60) unstable; urgency=medium

  [ Karsten Merker ]
  * Add machine db entries for various sunxi-based systems
    - Allwinner GT90H Quad Core Tablet (v4)
    - Auxtek t003 A10s hdmi tv-stick
    - Empire Electronix D709 tablet
    - iNet-1
    - INet-98V Rev 02
    - NextThing C.H.I.P.
    - Point of View Protab2-IPS9
    - Q8 A13 Tablet
    - Q8 A23 Tablet
    - Q8 A33 Tablet
    - Sinovoip BPI-M2
    - Wits Pro A20 DKT
    - Xunlong Orange Pi Plus

 -- Christian Perrier <bubulle@debian.org>  Tue, 01 Mar 2016 06:46:32 +0100

flash-kernel (3.59) unstable; urgency=medium

  [ Uwe Kleine-König ]
  * use nandwrite when writing to nand flash. (Closes: #813995)

  [ Martin Michlmayr ]
  * Require --force when invoked by hand with a specific version which is not
    the latest. (Closes: 807708)

  [ Ian Campbell ]
  * Support $LINUX_KERNEL_CMDLINE_DEFAULTS via /etc/defaults/flash-kernel. This
    will be prepended to the ${bootargs} and can therefore be overridden by the
    firmware configuration. Suggested as part of #813023.
  * Fix debug logging intended to help with #781742.

  [ Vagrant Cascadian ]
  * Update db entry for Firefly-RK3288 to allow armmp-lpae.

 -- Christian Perrier <bubulle@debian.org>  Mon, 22 Feb 2016 18:52:43 +0100

flash-kernel (3.58) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Add entries for Wandboard i.MX6 Dual Lite Board rev B1 and Quad
    Board rev B1.  Thanks Heinrich Schuchardt. (Closes: #813893)
  * Ensure FK_ETC_MACHINE isn't used when testing get_machine.
    (Closes: #814710).

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Feb 2016 07:01:25 +0100

flash-kernel (3.57) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-Git URL.

  [ Roger Shimizu ]
  * Fix the install location for etc/README.dtbs
  * Update kernel address for Buffalo Linkstation devices machine db.
    (Closes: #810828)
  * Update a few Buffalo Linkstation entries in machine db
      The following device will be converted to DT in kernel 4.6:
        - Buffalo Linkstation Pro/Live (LS-GL)
      The following device will be supported by DT in kernel 4.6:
        - Buffalo Linkstation LS-QVL (DT will be supported in kernel 4.6)
      The following devicies' DT will be renamed in kernel 4.6:
        - Buffalo Linkstation LS-VL
        - Buffalo Linkstation LS-WSXL
        - Buffalo Linkstation LS-WVL
        - Buffalo Linkstation LS-WXL
  * Update support status of Buffalo Linkstation devices in README

  [ Martin Michlmayr ]
  * Add Kernel-Flavors for Lamobo R1.  Thanks to Heinrich Schuchardt.
    (Closes: #813927)
  * Add new marvell kernel flavour as alternative for orion5x and
    kirkwood.

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Feb 2016 20:14:21 +0100

flash-kernel (3.56) unstable; urgency=medium

  [ Martin Michlmayr ]
  * QNAP TS-109/TS-209 and TS-409: change the kernel address to be after
    the ramdisk so the uncompressed kernel doesn't overwrite the ramdisk.
    (Closes: #809476)

  [ Vagrant Cascadian ]
  * Update Cubieboard4 entry to generate uImage and uInitrd loadable by
    the vendor u-boot, which doesn't support boot scripts.

 -- Christian Perrier <bubulle@debian.org>  Thu, 28 Jan 2016 07:16:20 +0100

flash-kernel (3.55) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add a machine db entry for BeagleBoard-X15.

 -- Christian Perrier <bubulle@debian.org>  Tue, 26 Jan 2016 09:15:32 +0100

flash-kernel (3.54) unstable; urgency=medium

  [ Martin Michlmayr ]
  * Add test_db test suite to README.
  * Remove lpae as kernel flavour from DB-MV784MP-GP since armmp-lpae
    is listed already.
  * Add support for Seagate NAS (2 and 4 bay) and Seagate Personal
    Cloud (1 and 2 bay).

 -- Christian Perrier <bubulle@debian.org>  Tue, 05 Jan 2016 06:51:38 +0100

flash-kernel (3.53) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add a machine db entry for Firefly-RK3288.

 -- Christian Perrier <bubulle@debian.org>  Tue, 29 Dec 2015 09:30:38 +0100

flash-kernel (3.52) unstable; urgency=medium

  [ Eric Cooper ]
  * Correctly test endianess on NSLU2 (Closes: #804359)
  * Add option to avoid creation of .bak files (Closes: #803115)

  [ Ian Campbell ]
  * Succeed but do nothing when run on an unknown machine which was booted via
    EFI. Based on a patch from Newell Jensen. (Closes: #806171)
  * Use /dev/mtdN when flashing, rather than needlessly going through the
    mtdblock layer (which is problematic on some platforms/kernels).
    (Closes: #794265)
  * Keep a backup copy of any files written to either a filesystem mounted via
    Boot-Device or directly to a flash device under /var/backups/flash-kernel.
    This makes files which are not normally visible via the regular filesystem
    available e.g. for convenient backing up (Closes: #736503)

 -- Christian Perrier <bubulle@debian.org>  Mon, 30 Nov 2015 06:57:43 +0100

flash-kernel (3.51) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Fix typo with distro_bootpart handling in u-boot generic bootscript.
  * Fix syntax errors when testing for empty variables in uboot-generic,
    cubox-i, and wandboard bootscripts. Thanks to Rick Thomas for the
    report (Closes: #805856).
  * Add a machine db entry for Kosagi Novena Dual/Quad.
  * Add a machine db entry for Lamobo R1.

 -- Christian Perrier <bubulle@debian.org>  Tue, 24 Nov 2015 12:27:57 +0100

flash-kernel (3.50) unstable; urgency=medium

  [ Ian Campbell ]
  * Only remove directories which exist.

  [ Karsten Merker ]
  * Add a machine db entry for the Iomega Iconnect.

 -- Christian Perrier <bubulle@debian.org>  Tue, 17 Nov 2015 07:11:13 +0100

flash-kernel (3.49) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Consistently use "setenv" in boot scripts, as some u-boot variants do
    not support using "=" for variable assignment.

 -- Christian Perrier <bubulle@debian.org>  Thu, 12 Nov 2015 07:14:35 +0100

flash-kernel (3.48) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Update beaglebone, sunxi and u-boot generic boot scripts to support
    distro_bootpart variable added in u-boot mainline.
  * Update wandboard and cubox-i boot scripts to improve distro_bootcmd
    support.

  [ Ian Campbell ]
  * Avoid waiting for Ctrl-C if any debconf frontend is in use, not just
    non-interactive. (Closes: #791794)

 -- Christian Perrier <bubulle@debian.org>  Sat, 07 Nov 2015 09:42:29 +0100

flash-kernel (3.47) unstable; urgency=medium

  [ Roger Shimizu ]
  Various machine db updates for Buffalo Linkstation systems (Closes: #802578):
  * Re-order machine db entries for "Buffalo Linkstation" series
    - move up entry: Buffalo Linkstation LS-XHL
  * Add machine db entries for a few Buffalo Linkstation systems
    newly getting DT supported since Linux 4.3:
    - orion5x: LS-WTGL
    - kirkwood: LS-WVL/VL
    - kirkwood: LS-WXL/WSXL
  * Update machine db entries for Buffalo Linkstation system converting
    to DT since Linux 4.3:
    - orion5x: LS-WSGL

  [ Karsten Merker ]
  * Add machine db entries for a number of sunxi-based systems:
    - Cubietech Cubieboard4
    - Ippo Q8H Quad Core Tablet (v1.2)
    - Iteaduino Plus A10
    - MSI Primo81 tablet
    - Olimex A20-Olimex-SOM-EVB

 -- Christian Perrier <bubulle@debian.org>  Tue, 27 Oct 2015 06:58:56 +0100

flash-kernel (3.46) unstable; urgency=medium

  [ Karsten Merker ]
  * Add machine db entries for various sunxi-based systems which are
    (at least partially) supported in linux-image-4.2.0:
    - Allwinner A23 Evaluation Board
    - Allwinner GA10H Quad Core Tablet (v1.1)
    - Auxtek t004 A10s hdmi tv-stick
    - ET Q8 Quad Core Tablet (v1.6)
    - Gemei G9 Tablet
    - Jesurun Q5
    - LinkSprite pcDuino3 Nano
    - Mele A1000G Quad top set box
    - Mele I7 Quad top set box
    - mk808c
    - Orange Pi
    - Orange Pi Mini
    - Sinlinx SinA33
    - Utoo P66
    - Wexler TAB7200
  * Change Vcs-Browser entry to use cgit instead of gitweb on alioth.
  * Disable the use of modprobe and udevadm in the mtdblock() function
    while running the testsuite.

 -- Christian Perrier <bubulle@debian.org>  Mon, 14 Sep 2015 07:03:46 +0200

flash-kernel (3.45) unstable; urgency=medium

  [ Karsten Merker ]
  * Add machine db entries for various sunxi-based systems which are
    (at least partially) supported in linux-image-4.0.0-2:
    - Allwinner A31 APP4 EVB1 Evaluation Board
    - BA10 tvbox
    - Chuwi V7 CW0825
    - CSQ CS908 top set box
    - HAOYU Electronics Marsboard A10
    - HSG H702
    - Hyundai A7HD
    - I12 / Q5 / QT840A A20 tvbox
    - Ippo Q8H Dual Core Tablet (v1.2)
    - Ippo Q8H Dual Core Tablet (v5)
    - Mele M3
    - Mele M9 top set box
    - Merrii A20 Hummingbird
    - Merrii A31 Hummingbird
    - Merrii A80 Optimus Board
    - MK802
    - MK802ii
    - MK802-A10s
    - R7 A10s hdmi tv-stick

 -- Christian Perrier <bubulle@debian.org>  Fri, 24 Jul 2015 06:46:37 +0200

flash-kernel (3.44) unstable; urgency=medium

  [ Ian Campbell ]
  * Add support for "Udoo i.MX6 Quad Board" using entry from Michael
    Fladischer. Also add a similar entry for "Udoo i.MX6 Dual-lite Board" based
    on that but with the appropriate dtb. (Closes: #789192)

 -- Christian Perrier <bubulle@debian.org>  Thu, 09 Jul 2015 07:00:12 +0200

flash-kernel (3.43) unstable; urgency=medium

  [ Ian Campbell ]
  * Combine i.MX53 QSB and LOCO board entries, they are the same thing and the
    LOCO variant was missing DTB information. (Closes: #788782)

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Jun 2015 06:56:47 +0200

flash-kernel (3.42) unstable; urgency=medium

  * Only install bootscripts relevant to the arch.
  * Use correct variable name in bootscr.sunxi (Closes: #788221)
  * Avoid use of && and || for control flow in boot scripts, the precedence is
    not as expected.
  * Change Vcs-Browser entry from http to https.

 -- Ian Campbell <ijc@debian.org>  Wed, 10 Jun 2015 22:19:28 +0100

flash-kernel (3.41) unstable; urgency=medium

  * Improvements to generic u-boot boot script, based on a patch from Vagrant
    Cascadian (Closes: #783074):
    - If ${console} is set then add "console=${console}" to the bootargs.
    - Boot the kernel using the versioned filenames in preference to the
      generic symlinks.
    - Log which kernel (if known) and device we are booting from.
    - Workaround lack of baudrate included with console on various iMX
      system.
  * Install dtbs into /boot/dtbs/$kvers. Based on a patch from Vagrant
    Cascadian. Retain links at /boot/dtb and /boot/dtb-$kvers (Closes: #783073)
  * Switch boot scripts using $kvers to boot a specific kernel (rather than via
    the vmlinuz symlink) to prefer ${fk_kvers} if set in the environment,
    allowing a rudimentary ability to select which kernel to boot.

 -- Ian Campbell <ijc@debian.org>  Sun, 07 Jun 2015 12:29:42 +0100

flash-kernel (3.40) unstable; urgency=medium

  * Fix regression in bootscr.beaglebone (syntax error, woops).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 26 May 2015 04:20:44 +0200

flash-kernel (3.39) unstable; urgency=medium

  * Add support for distro_bootcmd when using u-boot >= 2015.04+dfsg1-1
    by adjusting bootscr.beaglebone: use results from distro_bootcmd and
    use previous settings as a fallback (Closes: #786367). Thanks,
    Vagrant Cascadian!

 -- Cyril Brulebois <kibi@debian.org>  Mon, 25 May 2015 11:51:38 +0200

flash-kernel (3.38) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 May 2015 17:29:38 +0200

flash-kernel (3.37) unstable; urgency=medium

  * Upload changes from 3.30~exp.1..3.36~exp.1 to unstable.
  * Improvements to support for PlatHome OpenBlocks AX3-4 board
    (Closes: #783323):
    - Allow armmp-lpae kernel flavour.
    - Remove Boot-Device option since this platform can boot from /boot.
  * Handle Boot-Kernel-Image even if none of Dtb-Append, Machine-Id or
    U-Boot-Kernel-Address are specified. Patch from David Lechner.
    (Closes: #783278)
  * Log some debug if either the kernel or the initrd is missing. Intended to
    help debug one aspect of #781742.

 -- Ian Campbell <ijc@debian.org>  Fri, 08 May 2015 19:24:06 +0100

flash-kernel (3.36) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add entries for SolidRun HummingBoard DL/Solo and SolidRun
    HummingBoard Dual/Quad. (Closes: #783769)

  [ Christian Perrier ]
  * Update standards to 3.9.6 (checked)
  * No longer hardcode the path to /bin/true, which will no longer
    trigger a lintian warning and doesn't seem to be needed
    anyway

 -- Christian Perrier <bubulle@debian.org>  Fri, 01 May 2015 09:02:39 +0200

flash-kernel (3.36~exp.1) experimental; urgency=medium

  * Team upload.
  * Merge up changes from 3.35

 -- Karsten Merker <merker@debian.org>  Tue, 07 Apr 2015 14:24:50 +0200

flash-kernel (3.35) unstable; urgency=medium

  * Team upload.

  [ Karsten Merker ]
  * Pass the u-boot console variable to the kernel in bootscr.cubox-i
    and bootscr.wandboard. (Closes: #782016)
  * Add a machine db entry for the Wandboard Dual Lite / Solo,
    supplied by Vagrant Cascadian.

 -- Karsten Merker <merker@debian.org>  Tue, 07 Apr 2015 00:19:59 +0200

flash-kernel (3.35~exp.1) experimental; urgency=medium

  * Merge up changes from 3.34

 -- Ian Campbell <ijc@debian.org>  Thu, 26 Mar 2015 21:41:38 +0000

flash-kernel (3.34) unstable; urgency=medium

  * Update u-boot-tools to Recommends. In practice it is needed on most systems
    but having it installed only by flash-kernel-installer means it is missed
    in manual configurations. (Closes: #780994)

 -- Ian Campbell <ijc@debian.org>  Thu, 26 Mar 2015 21:37:16 +0000

flash-kernel (3.34~exp.1) experimental; urgency=medium

  * Merge up changes from 3.33

 -- Ian Campbell <ijc@debian.org>  Thu, 05 Mar 2015 07:00:54 +0000

flash-kernel (3.33) unstable; urgency=medium

  [ Karsten Merker ]
  * Add a machine db entry for the LeMaker Banana Pro.

 -- Ian Campbell <ijc@debian.org>  Thu, 05 Mar 2015 06:56:34 +0000

flash-kernel (3.33~exp.1) experimental; urgency=medium

  * Merge up changes from 3.32.

 -- Ian Campbell <ijc@debian.org>  Tue, 10 Feb 2015 07:27:30 +0000

flash-kernel (3.32) unstable; urgency=medium

  [ Karsten Merker ]
  * Add a machine db entry for the Olimex A20-OLinuXino-LIME2.

 -- Christian Perrier <bubulle@debian.org>  Mon, 09 Feb 2015 07:00:27 +0100

flash-kernel (3.31~exp.1) experimental; urgency=medium

  * Merge up changes from 3.30.
  * Add support for Nvidia Jetson TK1.
  * Allow DTB-Id to be an absolute file name.
    (Based on a patch from Uwe Kleine-Koenig, Closes: #767744)
  * Search for DTB files in /etc/flash-kernel/dtbs before the kernel, allowing
    local overrides.
  * Install bootscripts under /etc/flash-kernel/dtbs and treat as conffiles,
    allowing for local modifications.

 -- Ian Campbell <ijc@debian.org>  Tue, 30 Dec 2014 15:35:59 +0000

flash-kernel (3.30) unstable; urgency=medium

  [ Ian Campbell ]
  * Support for TI OMAP5 uEVM board (Patch from Chen Baozi, Closes: #773255)
  * Support for alternative machine name for BeagleBone Black. The old name was
    ambiguous with the original BeagleBone (often called "White"), detect if
    booting on a BeagleBone white and print an error since the DTB will be
    wrong. We don't currently support the White. (Closes: #773890)
  * Ensure mtdblock driver is loaded before accessing /dev/mtdblock*.
    (Closes: #773991)

  [ Karsten Merker ]
  * Add a machine db entry for the LinkSprite pcDuino3

 -- Ian Campbell <ijc@debian.org>  Tue, 30 Dec 2014 15:31:42 +0000

flash-kernel (3.30~exp.1) experimental; urgency=medium

  * Append a DTB to all platforms using the kirkwood flavour from v3.17-rc1
    onwards since all board file support has been removed from the kernel.
  * Autodetect correct DTB for kirkwood based QNAP devices.
  * Upstate to standards version 3.9.6. No changes required.
  * This is the same as 3.29~exp.1 which was uploaded to unstable and then
    superseded.

 -- Ian Campbell <ijc@debian.org>  Sat, 13 Dec 2014 11:25:20 +0000

flash-kernel (3.29) unstable; urgency=medium

  * Correct Content-Transfer-Encoding in zn_CH.po.
  * No other changes vs 3.28, this supersedes the brown paper bag upload of
    3.29~exp.1 to unstable.

 -- Ian Campbell <ijc@debian.org>  Sat, 13 Dec 2014 11:19:47 +0000

flash-kernel (3.28) unstable; urgency=medium

  [ Ian Campbell ]
  * Support for Olimex A20-OLinuXino-LIME. Patch from Christian Kastner.
    (Closes: #764968)

 -- Christian Perrier <bubulle@debian.org>  Mon, 13 Oct 2014 11:08:45 +0200

flash-kernel (3.27) unstable; urgency=medium

  [ Ian Campbell ]
  * Install initrd with correct name (uInitrd) on Xgene so that the filename
    boot.scr are consistent.

 -- Christian Perrier <bubulle@debian.org>  Sat, 11 Oct 2014 07:41:43 +0200

flash-kernel (3.26) unstable; urgency=medium

  [ Ian Campbell ]
  * Install a symlink to the latest dtb in /boot/dtb and keep a backup of the
    actual file.
  * Add a generic u-boot boot.scr using the upstream config_distro_bootcmd.h
    infrastructure.
  * Add support for the Arndale board.
  * Install uImage and uRamdisk to /boot on Xgene platform and load dtb from
    the correct path.

  [ Karsten Merker ]
  * Add support for the LeMaker Banana Pi.
  * bootscr.sunxi: If the u-boot environment variable ${console} is set,
    pass its contents as console device to the kernel.

 -- Ian Campbell <ijc@debian.org>  Mon, 06 Oct 2014 11:50:59 +0100

flash-kernel (3.25) unstable; urgency=medium

  * Log some clues on how to fix overly large initramfs (Closes: #760215).
  * Improved mtd partition size checks.
  * Switch Uploaders to use my @debian.org address.

 -- Ian Campbell <ijc@debian.org>  Sat, 06 Sep 2014 09:38:44 +0100

flash-kernel (3.24) unstable; urgency=medium

  [ Karsten Merker ]
  * Modify bootscript/bootscr.sunxi to work with the new default environment
    and bootcmd handling introduced by mainline u-boot v2014.10 as well as
    with the old environment still used by u-boot-sunxi.
  * Avoid "file not found" messages while iterating over the possible
    locations for kernel images in bootscr.sunxi.

 -- Christian Perrier <bubulle@debian.org>  Thu, 04 Sep 2014 08:14:39 +0200

flash-kernel (3.23) unstable; urgency=medium

  * Avoid stalling install when debconf frontend is noninteractive. Patch from
    David Lechner. (Closes: #753059)
  * Append command line options from
    /etc/default/flash-kernel:LINUX_KERNEL_CMDLINE to ${bootargs} rather than
    replacing it entirely. (Closes: #751816)

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 12 Jul 2014 16:39:40 +0100

flash-kernel (3.22) unstable; urgency=medium

  [ Ian Campbell ]
  * Add support for BeagleBone (black). Patch from Vagrant Cascadian.
    (Closes: #751353)
  * Add support for Wandboard i.MX6 Quad Board. Patch from Vagrant Cascadian.
    (Closes: #751340)
  * Add support for D-Link DNS-320 NAS (Rev A1). Stanza from Bastien ROUCARIES.
    (Closes: #724891)
  * Document Mtd-Kernel and Mtd-Initrd in README.

 -- Christian Perrier <bubulle@debian.org>  Thu, 19 Jun 2014 06:54:26 +0200

flash-kernel (3.21) unstable; urgency=medium

  [ Ian Campbell ]
  * Bootloader-Sets-Incorrect-Root machine db entry is now optional and
    defaults to no.
  * Purge debconf database on purge. Patch from Vagrant Cascadian.
    (Closes: #751066)
  * Add support for SolidRun Cubox-i Dual/Quad. Patch from Vagrant Cascadian.
    (Closes: #750953)
  * Document FK_MACHINE in the manpage. (Closes: #751012)
  * Document /etc/flash-kernel/machine and the database files in the manpage.
  * Add kernel command line configuration support to sunxi bootscript. 

  [ Karsten Merker ]
  * Add machine db entries for various sunxi-based systems
    - Cubietech Cubieboard
    - Cubietech Cubieboard2
    - INet-97F Rev 02
    - LinkSprite pcDuino
    - Mele A1000
    - Miniand Hackberry
    - Olimex A10-OLinuXino-LIME
    - Olimex A10s-Olinuxino Micro
    - Olimex A13-Olinuxino
    - Olimex A13-Olinuxino Micro
    - Olimex A20-Olinuxino Micro
    - PineRiver Mini X-Plus
    - WITS A31 Colombus Evaluation Board

 -- Christian Perrier <bubulle@debian.org>  Thu, 12 Jun 2014 07:31:02 +0200

flash-kernel (3.20) unstable; urgency=medium

  [ dann frazier ]
  * Add kernel commandline configuration support
  * Add support for prepending arbitrary u-boot commands to a bootscript
  * Add arm64 support
  * Add support for APM X-Gene Mustang boards
  * Add support for Calxeda Highbank

 -- Christian Perrier <bubulle@debian.org>  Fri, 06 Jun 2014 06:49:31 +0200

flash-kernel (3.19) unstable; urgency=low

  * Support kernel flavours with a hyphen in (e.g. armmp-lpae).
  * Allow armmp-lpae kernel and add u-boot-tools on cubietruck.
  * Run installer udeb on arm*/generic subarch iff the machine is listed in the
    db.
  * Copy dtb to /boot when directly invoked as well.

 -- Ian Campbell <ijc@hellion.org.uk>  Fri, 16 May 2014 19:31:43 +0100

flash-kernel (3.18) unstable; urgency=medium

  [ Ian Campbell ]
  * Add --force option to install a specific kernel version. 
  * Add support for the Cubietruck.
  * Copy the dtb (if any) to /boot/dtb-$kversion in kernel postinst hook.
  * Allow use of the kernel version in boot scripts.

 -- Christian Perrier <bubulle@debian.org>  Wed, 14 May 2014 06:52:17 +0200

flash-kernel (3.17) unstable; urgency=medium

  * Accept kernels with an additional "+" suffix (Closes: #743796)
  * Add myself to Uploaders

 -- Ian Campbell <ijc@hellion.org.uk>  Fri, 11 Apr 2014 17:26:53 +0100

flash-kernel (3.16) unstable; urgency=low

  [ Steve McIntyre ]
  * Add support for the Marvell Armada XP GP Board, booting via DTB.
    (Closes: #743222)

  [ Christian Perrier ]
  * Updated Standards to 3.9.5 (checked)

 -- Christian Perrier <bubulle@debian.org>  Wed, 02 Apr 2014 09:27:40 +0200

flash-kernel (3.15) unstable; urgency=low

  [ Ian Campbell ]
  * Handle machine name difference for DT based DockStar (Closes: #741692)
  * Do not mark uInitrd as compressed. The kernel can decompress the initramfs
    itself as needed. (Closes: #618029)
  * Add support for Globalscale Mirabox. From Jasmin Schnatterbeck.
    (Closes: #739976).
  * Handle removal of highest kernel version (Closes: #735093). Patch from
    Karsten Merker.
  * Add armmp to the Kernel-Flavors for all mx5 platforms.

 -- Christian Perrier <bubulle@debian.org>  Mon, 24 Mar 2014 09:42:02 +0100

flash-kernel (3.14) unstable; urgency=low

  [ Ian Campbell ]
  * Append DTB on "Seagate FreeAgent DockStar" from v3.12 onwards.
  * Add support for Buffalo Linkstation LS-XHL (Closes: #740786).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Mar 2014 15:11:45 +0100

flash-kernel (3.13) unstable; urgency=low

  [ Ian Campbell ]
  * Correctly handle probing for android boot partition (Closes: #683329).
  * Rename Bootloader-Sets-Root to Bootloader-Sets-Incorrect-Root which better
    reflects its usage.
  * Forcibly override root only if Bootloader-Sets-Incorrect-Root is yes,
    rather than when it is not no. Avoids overridding root on unknown platforms
    (Closes: #718761).
  * Transition additinal kirkwood systems to DT from v3.12 onwards. Board
    support for these was removed in that release:
    - Globalscale Technologies eSATA SheevaPlug
    - LaCie Internet Space v2
    - LaCie Network Space v2
  * Consistently install DTB file next to uImage where the latter is on a
    filesystem rather than partition.

 -- Christian Perrier <bubulle@debian.org>  Thu, 23 Jan 2014 08:26:59 +0100

flash-kernel (3.12) unstable; urgency=medium

  * Append a DTB on Sheevaplug from kernel version 3.12 onwards. Based on a
    patch by Marc Kleine-Budde. (Closes: #731345).
  * Append a DTB on Guruplug from kernel version 3.12 onwards. Based on a patch
    from William Boughton. (Closes: #734769).
  * Allow multiple Machine names per stanza in the db.
  * Correct check for debconf, avoiding hang on error when running in Debian
    Installer. (Closes: #721485).
  * Add support for "Buffalo Linkstation LS-CHLv2" (Closes: #734130).
  * Add support for "Plat'Home OpenBlocksA6" (Closes: #725754).

 -- Ian Campbell <ijc@hellion.org.uk>  Sun, 12 Jan 2014 15:15:49 +0000

flash-kernel (3.11) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 07 Sep 2013 07:34:26 +0200

flash-kernel (3.10) unstable; urgency=low

  [ Ian Campbell ]
  * Honour FK_MACHINE in get_machine, to allow initramfs hooks etc to
    work inside a chroot. Also support reading the machine from
    /etc/flash-kernel/machine.
  * Add capability to read /etc/flash-kernel/db to override db entries.
    Closes: #680900

 -- Christian Perrier <bubulle@debian.org>  Mon, 26 Aug 2013 07:07:36 +0200

flash-kernel (3.9) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * support kernel entry point setup of mkimage
  * support PlatHome OpenBlocks AX3-4 board

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Fri, 23 Aug 2013 08:53:01 +0200

flash-kernel (3.8) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Cyril Brulebois ]
  * Fix test_db testsuite to be LC_COLLATE-independent, by calling sort -u
    on both the $expected and $fields variables. Closes: #711759

  [ Christian Perrier ]
  * Update Standards to 3.9.4 (checked)

 -- Christian Perrier <bubulle@debian.org>  Fri, 19 Jul 2013 09:16:54 +0200

flash-kernel (3.7) unstable; urgency=low

  [ Wouter Verhelst ]
  * Remove $SELF from uploaders.

  [ Martin Michlmayr ]
  * The machine database is case-sensitive so ensure that all instances
    of "Required-Packages" are capitalized correctly.  Closes: #693839

  [ Loïc Minier ]
  * Add test_db testsuite for the database; currently only checking for
    unknown fields.
  * Rename Bootloader-sets-root field to Bootloader-Sets-Root for consistency
    in CamelCasing.

 -- Loïc Minier <lool@debian.org>  Thu, 06 Jun 2013 16:17:51 +0200

flash-kernel (3.6) unstable; urgency=low

  [ Roger Leigh ]
  * flash-kernel-installer postinst: Update FSCKFIX in
    /etc/default/fsck as well as /etc/default/rcS for backward
    compatibility.  The purpose is to use /etc/default/fsck for
    new installations. Closes: #694928

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 May 2013 17:51:08 +0200

flash-kernel (3.5) unstable; urgency=low

  * Revert "Move u-boot-tools to Depends so that the mkimage program
    is available." as there have been some objections. Reopens: #693839

 -- Christian Perrier <bubulle@debian.org>  Wed, 02 Jan 2013 22:29:11 +0100

flash-kernel (3.4) unstable; urgency=low

  * Move u-boot-tools to Depends so that the mkimage program
    is available. This will allow installing the kernel on Linkstation
    Pro/Live. Closes: #693839

 -- Christian Perrier <bubulle@debian.org>  Wed, 02 Jan 2013 22:16:38 +0100

flash-kernel (3.3) unstable; urgency=low

  * Replace XC-Package-Type by Package-Type
  * Add myself to Uploaders

  [ Updated translations ]
  * Lithuanian (lt.po) by Rimas Kudelis

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 Sep 2012 08:18:09 +0200

flash-kernel (3.2) unstable; urgency=low

  [ Ian Campbell ]
  * Use get_machine in flash-kernel-installer udeb. Fixes flash-kernel at
    install time on Dreamplug failure to install u-boot-tools.

 -- Hector Oron <zumbi@debian.org>  Fri, 27 Jul 2012 17:04:05 +0200

flash-kernel (3.1) unstable; urgency=low

  * Release into unstable.

 -- Hector Oron <zumbi@debian.org>  Sun, 08 Jul 2012 03:03:57 +0200

flash-kernel (3.1~exp.1) experimental; urgency=low

  [ Ian Campbell ]
  * Add support for FDT based devices using /proc/device-tree/model for
    detection.
  * Add support for installing a DTB file into the boot partition.
  * Add support for appending a DTB to the kernel.
  * Add support for DreamPlug. (Closes: #667681)

  [ Hector Oron ]
  * Update Standards-Version to 3.9.3 
  * Set Boot-Device for Dreamplug to /dev/sda1. 

  [ Updated translations ]
  * Galician (gl.po) by Jorge Barreiro
  * Croatian (hr.po) by Tomislav Krznar

 -- Hector Oron <zumbi@debian.org>  Sun, 08 Jul 2012 02:00:54 +0200

flash-kernel (3.0) unstable; urgency=low

  [ Aurelien Jarno ]
  * Drop old arm and armeb architectures from the control file.

  [ Updated translations ]
  * Tibetan (bo.po) by Tennom
  * Welsh (cy.po) by Dafydd Tomos
  * Basque (eu.po) by Piarres Beobide
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Macedonian (mk.po) by Arangel Angov
  * Panjabi (pa.po) by A S Alam

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 17 Jun 2012 17:38:47 +0200

flash-kernel (3.0~rc.5) unstable; urgency=low

  * Add support for FK_MACHINE and FK_PROC_CPUINFO.
    - Makes it possible to pass machine name for use under chrooted setups.
      Setting FK_MACHINE to none avoids flash-kernel run.
      Thanks Johannes Schauer for patch.
  * Add support for LaCie Kirkwood NASes.
    Thanks Simon Guinot for patch. (Closes: #670938)

 -- Hector Oron <zumbi@debian.org>  Sun, 11 Mar 2012 16:02:39 +0100

flash-kernel (3.0~rc.4ubuntu66) artful; urgency=medium

  * Add support for QCT APQ8064 CDP; thanks Alfonso Sanchez-Beato.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 01 Sep 2017 14:46:52 +0200

flash-kernel (3.0~rc.4ubuntu65) zesty; urgency=medium

  * Adjust rpi2/3 dtb address from 0x100 to 0x02000000 (LP: #1636838)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 09 Nov 2016 15:41:50 +0200

flash-kernel (3.0~rc.4ubuntu64) yakkety; urgency=medium

  * Add support for gzip-compressed kernel images (LP: #1384955)

 -- dann frazier <dannf@ubuntu.com>  Thu, 25 Aug 2016 12:39:19 -0600

flash-kernel (3.0~rc.4ubuntu63) yakkety; urgency=medium

  * Add Raspberry Pi 3 support (LP: #1578505)

 -- Ryan Finnie <ryan@finnie.org>  Thu, 05 May 2016 06:04:00 +0000

flash-kernel (3.0~rc.4ubuntu62) xenial; urgency=medium

  * Adjust the size of uboot.env based on empirical results on the rpi2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 13 Feb 2016 23:25:39 -0800

flash-kernel (3.0~rc.4ubuntu61) xenial; urgency=medium

  * Adjust the uboot.env.rpi2 to use the one Paolo Pisati has tested,
    instead of trying to base on the Snappy one, which is failing to boot.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Feb 2016 11:44:45 -0800

flash-kernel (3.0~rc.4ubuntu60) xenial; urgency=medium

  * Extend support for the RPi2 to actually install the kernel/initramfs
    on the fat partition, and provide a uboot boot script based on the one
    used for Snappy images.
  * Extend functions to support generating uboot.env images, as an
    alternative to boot.scr and uEnv.txt, and use this for RPi2 as well.
  * Cherry-pick fixes from Debian to support copying kernel/initrd to
    destination.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 11 Feb 2016 17:09:53 -0800

flash-kernel (3.0~rc.4ubuntu59) xenial; urgency=medium

  * Add support for the Raspberry Pi2; thanks to Paolo Pisati
  * <paolo.pisati@canonical.com>.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Feb 2016 22:35:28 -0800

flash-kernel (3.0~rc.4ubuntu58) xenial; urgency=medium

  * Call systemd-detect-virt instead of the Ubuntu specific
    running-in-container wrapper. (LP: #1539016)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 28 Jan 2016 14:22:57 +0100

flash-kernel (3.0~rc.4ubuntu57) xenial; urgency=medium

  * Cherry pick from Debian: Succeed but do nothing when run on an
    unknown machine which was booted via EFI. (LP: #1517582)

 -- dann frazier <dannf@ubuntu.com>  Tue, 01 Dec 2015 13:51:27 -0700

flash-kernel (3.0~rc.4ubuntu56) xenial; urgency=medium

  * make the package postinst respect FLASH_KERNEL_SKIP (LP: #1517582)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 25 Nov 2015 21:12:16 +0100

flash-kernel (3.0~rc.4ubuntu55) wily; urgency=medium

  * Wandboard: Use /dev/disk/by-path/platform-2198000.usdhc-part1
    instead of the hardcoded mmcblk1p1, this should make things work on
    boards with just a single microSD card in.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 27 Aug 2015 11:55:41 -0400

flash-kernel (3.0~rc.4ubuntu54) vivid; urgency=medium

  * Allow us to find DTBs in both the old flat layout and the new vendor
    subdirectory layout, so we keep backward compatibility (LP: #1408004)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Feb 2015 03:46:28 -0700

flash-kernel (3.0~rc.4ubuntu53) utopic; urgency=medium

  * Merge in remaining trusty SRU changes:
    * Add U-Boot environment configuration support (LP: #1328597)
    * HP Moonshot Cartridges: Use $baudrate from u-boot environment as
      serial console speed (LP: #1373628)
    * HP Moonshot Cartridges: Enable hardware flow control as required by
      the HP moonshot chassis (LP: #1328280)
    * Enable U-Boot environment support for X-Gene platforms
    * Use filesystem agnostic "load" command instead of assuming ext4
    * Add support for HP ProLiant m800 cartridges (LP: #1326437)
    * Set required boot arguments for HP ProLiant m800 cartridges
      (LP: #1373659)

 -- dann frazier <dannf@ubuntu.com>  Mon, 29 Sep 2014 16:20:15 -0600

flash-kernel (3.0~rc.4ubuntu52) utopic; urgency=medium

  * Do not fail if there are no specified Kernel-Flavors for this machine.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 27 Aug 2014 15:59:26 -0400

flash-kernel (3.0~rc.4ubuntu51) utopic; urgency=medium

  * Filter the selection of 'latest' usable kernel through the
    whitelist.  (LP: #1356569)

 -- Manoj Iyer <manoj.iyer@canonical.com>  Tue, 19 Aug 2014 14:27:33 -0500

flash-kernel (3.0~rc.4ubuntu50) utopic; urgency=medium

  * Added support for user defined uboot environment variables
  * Added support for HP ProLiant m800 Server Cartridge

 -- Manoj Iyer <manoj.iyer@canonical.com>  Thu, 24 Apr 2014 17:34:28 -0500

flash-kernel (3.0~rc.4ubuntu49) trusty; urgency=medium

  * db/all.db: add dummy entries as noops when running on VMs (LP: #1298070)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 10 Apr 2014 04:15:37 -0600

flash-kernel (3.0~rc.4ubuntu48) trusty; urgency=medium

  * Update APM X-Gene config to match upstream device tree filename/model
  * Add a bootscript specific to X-Gene Mustang boards since they need to
    pull their dtb from the OS.

 -- dann frazier <dann.frazier@canonical.com>  Tue, 18 Mar 2014 16:31:38 -0600

flash-kernel (3.0~rc.4ubuntu47) trusty; urgency=medium

  * Add support for HP ProLiant m400 Server Cartridges (LP: #1287910)

 -- dann frazier <dann.frazier@canonical.com>  Wed, 12 Mar 2014 15:10:43 +0100

flash-kernel (3.0~rc.4ubuntu46) trusty; urgency=low

  * Add support for APM X-Gene
  * Add support for installing dtb files in boot partition; activate this for
    APM X-Gene boards

 -- dann frazier <dann.frazier@canonical.com>  Mon, 23 Dec 2013 14:51:32 -0700

flash-kernel (3.0~rc.4ubuntu45) trusty; urgency=low

  * bootscr.highbank: allow more space to load larger kernels (LP: #1250495)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 11 Dec 2013 03:48:23 -0700

flash-kernel (3.0~rc.4ubuntu44) trusty; urgency=low

  * flash-kernel-installer: make installable on armhf/exynos5 (LP: #1247601)

 -- dann frazier <dann.frazier@canonical.com>  Wed, 13 Nov 2013 08:08:08 +0100

flash-kernel (3.0~rc.4ubuntu43) trusty; urgency=low

  * Add basic support for WandBoard Quad.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 07 Nov 2013 23:57:58 -0500

flash-kernel (3.0~rc.4ubuntu42) saucy; urgency=low

  * Add support for EXYNOS5440-based platforms (LP: #1231249)

 -- dann frazier <dann.frazier@canonical.com>  Thu, 03 Oct 2013 13:56:55 +0100

flash-kernel (3.0~rc.4ubuntu41) saucy; urgency=low

  * Fix typo in dtb_kver test that made it break all non-dtb platforms.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 21 Sep 2013 13:07:23 -0600

flash-kernel (3.0~rc.4ubuntu40) saucy; urgency=low

  * Apply patch from Paolo Pisati for appended DTB support (LP: #1223261)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 19 Sep 2013 10:27:47 -0600

flash-kernel (3.0~rc.4ubuntu39) saucy; urgency=low

  * Fix get_kfile_suffix() function to deal with flavours with dashes.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Sep 2013 19:30:34 -0400

flash-kernel (3.0~rc.4ubuntu38) saucy; urgency=low

  * debian/flash-kernel-installer.isinstallable: add arm*/generic-lpae

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Sep 2013 17:43:52 -0400

flash-kernel (3.0~rc.4ubuntu37) saucy; urgency=low

  * And now fix the quoting error exposed by the fixed testsuite.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Sep 2013 15:22:49 -0400

flash-kernel (3.0~rc.4ubuntu36) saucy; urgency=low

  * Fix the testsuite to work with the new DT model support and add
    a new test to specifically try to use a DT instead of cpuinfo.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Sep 2013 14:59:04 -0400

flash-kernel (3.0~rc.4ubuntu35) saucy; urgency=low

  * Check /proc/device-tree/model before /proc/cpuinfo (LP: #1164484)
  * Add support for Calxeda ECX-2000 to the machine DB (LP: #1223439)
  * Add generic-lpae to the XB-Subarchitecture list in debian/control
  * Update the Highbank entry in DB to use its device-tree model name

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Sep 2013 14:36:05 -0400

flash-kernel (3.0~rc.4ubuntu34) saucy; urgency=low

  * Extending Android specific options to cover the Ubuntu Touch use cases
    (flashing to a specific device and support skipping initrd)
  * Enabling support for mako (Nexus 4)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 14 May 2013 04:27:01 -0300

flash-kernel (3.0~rc.4ubuntu33) raring; urgency=low

  * Also update XB-Subarchitecture to use "generic" instead of 'highbank"
    (LP: #1170515)

 -- dann frazier <dann.frazier@canonical.com>  Sun, 21 Apr 2013 09:36:29 -0600

flash-kernel (3.0~rc.4ubuntu32) raring; urgency=low

  * flash-plugin-installer: make installable on armhf/generic for highbank

 -- dann frazier <dann.frazier@canonical.com>  Thu, 18 Apr 2013 16:39:18 -0600

flash-kernel (3.0~rc.4ubuntu31) raring; urgency=low

  * Accept "generic" as a valid kernel flavor on highbank (LP: #1164074)

 -- dann frazier <dann.frazier@canonical.com>  Wed, 03 Apr 2013 12:48:56 -0600

flash-kernel (3.0~rc.4ubuntu30) raring; urgency=low

  * Do not run flash-kernel inside an LXC container (LP: #1160360)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@canonical.com>  Wed, 27 Mar 2013 16:29:20 +0100

flash-kernel (3.0~rc.4ubuntu29) raring; urgency=low

  * determine the latest installer kernel version in the target rootfs instead
    of assuming the version is the same as the running kernel (LP: #1084106)
  * drop the "|| true" from the initramfs building code, if we fail here we
    actually dont want to attempt to flash that

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 04 Dec 2012 17:24:49 +0100

flash-kernel (3.0~rc.4ubuntu28) raring; urgency=low

  * make sure blkid only gives us the UUID and not any other metadata like
    labels or filesystem (LP: #1079185)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 16 Nov 2012 15:40:21 +0100

flash-kernel (3.0~rc.4ubuntu27) quantal; urgency=low

  * add support for the grouper architecture

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 08 Oct 2012 14:44:41 +0200

flash-kernel (3.0~rc.4ubuntu26) quantal-proposed; urgency=low

  * make sure that /dev is bind mounted in /target when running
    update-initramfs from flash-kernel-installer, else we do not find the boot
    media (this is only a workaround for LP: #1056482 actual fixing of the
    netinst environment is needed to fix this properly)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Sep 2012 15:27:06 +0200

flash-kernel (3.0~rc.4ubuntu25) quantal; urgency=low

  * make sure we only rename the bootrom partition so udisks hides it,
    when using mkdosfs for setting the label like we did in jasper (where
    we cached the contents before doing this) MLO and u-boot.bin are gone
    (LP: #1055938).

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 25 Sep 2012 10:31:32 +0200

flash-kernel (3.0~rc.4ubuntu24) quantal; urgency=low

  * hide the boot device from udisk's automounting after installation
    on all systems using uEnv.txt to configure u-boot

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 17 Sep 2012 14:25:37 +0200

flash-kernel (3.0~rc.4ubuntu23) quantal; urgency=low

  * initramfs-tools/hooks/flash_kernel_set_root:
    - make sure that if we dont want to override the bootloader root= option by
      setting "Bootloader-sets-root: yes", we actually dont do it
    - Also check for FLASH_KERNEL_SKIP to avoid setting up the root parameter
      in case flash-kernel will not be used
    - this is a slightly different approach to fix bug (LP: #1034734) than the
      patch attached to the bug.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 13 Sep 2012 14:02:48 +0200

flash-kernel (3.0~rc.4ubuntu22) quantal; urgency=low

  * do not move the original uEnvtxt.omap to the target, use a copy instead
  * make /etc/default/flash-kernel a proper conffile

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 23 Aug 2012 11:49:01 +0200

flash-kernel (3.0~rc.4ubuntu21) quantal; urgency=low

  * switch omap3 and omap4 to uEnv.txt/preEnv.txt (the former holds all active
    boot commands, the latter holds the kernel commandline only)
  * enable generation of a /etc/default/flash-kernel file from
    flash-kernel-installer holding a UBOOT_DEFAULTS variable with distro
    default settings (ro quiet splash)
  * enable UUID detection of the currently used root device
  * if uEnv.txt is defined in the db for an arch, generate preEnv.txt from
    UBOOT_DEFAULTS and UUID detection data
  * switch omap3 and omap4 from Bootloader-sets-root: no to yes, we now
    generate a root=UUID= line on the fly for arches using uEnv.txt/preEnv.txt
  * introduce bootscript/uEnvtxt.omap

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 22 Aug 2012 21:56:09 +0200

flash-kernel (3.0~rc.4ubuntu20) quantal; urgency=low

  * seemingly -k all doesnt want to work with -c, use -k $(uname -r) for now

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 10 Aug 2012 18:29:34 +0200

flash-kernel (3.0~rc.4ubuntu19) quantal; urgency=low

  * flash-kernel-installer.postinst: now that we have a diversion in place
    there isnt a pre-existing initrd, instead of calling update-initramfs -u
    we better call update-initramfs -c -k all to create one from scratch,
    fixes (LP: #1035269)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 10 Aug 2012 17:49:00 +0200

flash-kernel (3.0~rc.4ubuntu18) quantal; urgency=low

  * make post-base-installer.d/01flash-kernel-diversion executable

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 09 Aug 2012 13:59:15 +0200

flash-kernel (3.0~rc.4ubuntu17) quantal; urgency=low

  * sigh, not only drop the creation of /var/lib/flash-kernel/configured but
    also the check for its existance, else we will always exit 0

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 07 Aug 2012 20:03:20 +0200

flash-kernel (3.0~rc.4ubuntu16) quantal; urgency=low

  * re-add a diversion for update-initramfs to live-installers
    post-base-installer.d to avoid update-initramfs runs before
    flash-kernel is configured
  * re-add a check for the diverted update-initramfs to
    flash-kernel-installer, so it gets reverted before we try to call
    update-initramfs
  * drop teh super ugly hack that added a /var/lib/flash-kernel/configured
    file to actually check if flash-kernel is configured

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 07 Aug 2012 19:52:51 +0200

flash-kernel (3.0~rc.4ubuntu15) quantal; urgency=low

  * Fix armadaxp kernel load address (LP: #1026835).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 31 Jul 2012 16:31:30 +0100

flash-kernel (3.0~rc.4ubuntu14) quantal-proposed; urgency=low

  * better do the "configured" check in /var/lib

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 25 Jul 2012 18:03:18 +0200

flash-kernel (3.0~rc.4ubuntu13) quantal-proposed; urgency=low

  * add very very ugly temporary workaround to make quantal A3 arm server
    installs possible (yes, i suck)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 25 Jul 2012 17:16:16 +0200

flash-kernel (3.0~rc.4ubuntu12) quantal; urgency=low

  * remove the diversion code again, it doesnt help since
    flash-kernel-installer.udeb only comes into play to late so the
    post-base-installer.d file isnt available at live-installer time

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 25 Jul 2012 14:38:24 +0200

flash-kernel (3.0~rc.4ubuntu11) quantal; urgency=low

  * make post-base-installer.d/01flash-kernel-diversion actually an executable
    shell script

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 24 Jul 2012 15:33:46 +0200

flash-kernel (3.0~rc.4ubuntu10) quantal; urgency=low

  * add a diversion for update-initramfs to live-installers
    post-base-installer.d to avoid update-initramfs runs before
    flash-kernel is configured
  * add a check for the diverted update-initramfs to flash-kernel-installer,
    so it gets reverted before we try to call update-initramfs

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 24 Jul 2012 15:28:37 +0200

flash-kernel (3.0~rc.4ubuntu9) quantal; urgency=low

  * Also add omap and omap4 to flash-kernel-installer.isinstallable.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 20 Jul 2012 11:42:33 +1000

flash-kernel (3.0~rc.4ubuntu8) quantal; urgency=low

  * debian/control: Re-add omap and omap4 to the flash-kernel-installer
    XB-Subarchitecture field. These appear to have been lost somewhere along
    the way.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 20 Jul 2012 11:39:08 +1000

flash-kernel (3.0~rc.4ubuntu7) quantal; urgency=low

  * make sure the call to abootimg -i does not make the script fail (checking
    non bootimg devices makes it return 1 even though there is no error, this
    in turn makes teh whole script fail since we run with "set -e")

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 17 Jul 2012 13:20:43 +0200

flash-kernel (3.0~rc.4ubuntu6) quantal; urgency=low

  * add DB entry for "OMAP3 Beagle Board" (funnily thats missing)
  * add Panda to the list of supported board in the README file

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 06 Jul 2012 15:59:48 +0200

flash-kernel (3.0~rc.4ubuntu5) quantal; urgency=low

  * use umount -l in the cleanup function, else we fail while finishing up
    with the script (LP: #1014139)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 05 Jul 2012 19:43:02 +0200

flash-kernel (3.0~rc.4ubuntu4) quantal; urgency=low

  * also add FLASH_KERNEL_SKIP to the initramfs post update script, this
    should finally fix ac100 image building

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 22 Jun 2012 11:20:39 +0200

flash-kernel (3.0~rc.4ubuntu3) quantal; urgency=low

  * re-add support for the FLASH_KERNEL_SKIP env variable, so the image build
    infrastructure has a chance to skip the automated flash-kernel run during
    image builds.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 20 Jun 2012 16:41:28 +0200

flash-kernel (3.0~rc.4ubuntu2) quantal; urgency=low

  * add "quiet splash" as default options to omap bootscr

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 20 Jun 2012 16:25:31 +0200

flash-kernel (3.0~rc.4ubuntu1) quantal; urgency=low

  [ dann frazier ]
  * Re-add support for Marvell ArmadaXP

  [ Robie Basak ]
  * Add support for Calxeda Highbank

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 31 May 2012 10:09:53 +0100

flash-kernel (3.0~rc.4) unstable; urgency=low

  * Upload to unstable 

 -- Hector Oron <zumbi@debian.org>  Sun, 11 Mar 2012 14:51:15 +0000

flash-kernel (3.0~rc.3) experimental; urgency=low

  [ Hector Oron ]
  * Replace uboot-mkimage by u-boot-tools.

  [ Loïc Minier ]
  * Remove executable on database file.
  * Following changes thanks to Steve McIntyre:
    - Fix breakage when Boot-Device isn't set.
    - db: Fix kernel load address for DB-78x00-BP.
    - db: Add support for MX53 LOCO Board.
  * Also replace uboot-mkimage with u-boot-tools in db; closes: #607614.

 -- Loïc Minier <lool@debian.org>  Sat, 10 Mar 2012 01:17:09 +0100

flash-kernel (3.0~rc.2) experimental; urgency=low

  * New kernel and initramfs hooks, new logic: flash-kernel always installs
    the latest version according to linux-version and ignores other calls.
    - Fixes installation of new kernel ABIs; closes: #550584.
    - NEWS, man page: document new behavior.
    - flash-kernel depends on linux-base >= 3.2 for linux-version.
  * Add support for triggers; see #550584 for discussion.
  * Misc syntax fixes / cleanups / refactoring; tweak output.
    - Fix some bogus messages in error conditions.
    - Refactor flash-kernel-installer and initramfs-tools hook to use shared
      function and database.
    - Split code and testsuite out.
  * Toshiba AC100 / Android handling; thanks to Julian Andres Klode for his
    input (and patience :-)
    - abootimg would now be installed via flash-kernel-installer.
    - set default root= in initrd.
    - drop Android-Boot-Config hurts more than it helps
    - don't try checking for a specific size; instead let abootimg handle size
      checks for us; size checks were meant to identify the largest partition,
      instead just scan all partitions from MMC and chose the largest one.
  * Add OMAP4 Pandaboard support.
  * Split out database in its own file under /usr/share/flash-kernel/db/;
    document format in README.
  * Drop Extra-Cmdline used in EfikaMX boot scripts; instead rely on initrd to
    set root= (as for other boards).
  * Drop accidental support for Thecus N4100 in f-k-i.

 -- Loïc Minier <lool@debian.org>  Thu, 10 Nov 2011 23:59:24 +0100

flash-kernel (3.0~rc.1) experimental; urgency=low

  [ Loïc Minier ]
  * Bump Standards-Version to 3.9.2.
  * Add a testsuite and run it during build; change code a bit to be more
    easily tested.
  * Start reworking flash-kernel to be more data-driven.
    - Keep some machine data in a small embedded RFC 2822 style database; such
      as allowed kernel flavors, machine id to set before booting Linux,
      MTD names, U-Boot load addresses, /boot filenames etc.
    - Simplify code in the main "case" statement as much as possible by using
      functions for common code and splitting error handling, initialization,
      and sanity checks out.
    - Various syntax tweaks.
  * Only allow iop32x kernels on GLAN Tank.
  * Fix Lintian warnings.
    - Quote minus signs in man page.
    - Depend on ${misc:Depends}.
  * Add myself to Uploaders at tbm's proposal.
  * Add myself to flash-kernel's Copyright and to debian/copyright; thanks
    Martin Michlmayr.

  [ Hector Oron ]
  * Add armhf to architecture list (Closes: #620888)
    - add mx5 as armhf subarchitecture
  * Add myself to Uploaders field.
  * Add preliminary mv78xx0 support. (Closes: #594878)
  * Add build dependency on devio, needed to run test-suite.
  * Upgrade major version to 3.0~rc.1
  * Add support for Genesi Efika MX nettops and smarttops. (Closes: #612376)
  * Add preliminary U-Boot script support (Closes: #626434)

  [ Julian Andres Klode ]
  * Support for Toshiba AC100 (Closes: #631396)

  [ Martin Michlmayr ]
  * Remove myself from the Uploaders field.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po)
  * Hebrew (he.po) by Lior Kaplan
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu
  * Macedonian (mk.po) by Arangel Angov
  * Romanian (ro.po) by Eddy Petrișor
  * Sinhala (si.po) by Danishka Navin
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Uyghur (ug.po) by Sahran
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Hector Oron <zumbi@debian.org>  Wed, 24 Aug 2011 12:47:34 +0100

flash-kernel (2.39) unstable; urgency=low

  * Add support for Buffalo Linkstation LiveV3 (LS-CHL).  Closes: #612167
  * Add support for Buffalo Linkstation Mini (LS-WSGL).

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 02 Mar 2011 17:56:22 +0000

flash-kernel (2.38) unstable; urgency=low

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 24 Dec 2010 21:19:58 -0200

flash-kernel (2.37) unstable; urgency=low

  * Don't set a default root device when the specified root device
    does not exist.

  [ Updated translations ]
  * si (si.po) by Danishka Navin

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 18 Nov 2010 17:03:33 +0000

flash-kernel (2.36) unstable; urgency=low

  [ Updated translations ]
  * Bengali (bn.po) by Israt Jahan

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 15:41:17 -0200

flash-kernel (2.35) unstable; urgency=low

  * Add support for "GTA02" (Neo FreeRunner).  Patch from Thibaut Girka.
    Closes: #593235

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 05 Nov 2010 13:28:03 +0000

flash-kernel (2.34) unstable; urgency=low

  * Rebuild without .svn directories.  Closes: #601318

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 25 Oct 2010 14:56:55 +0100

flash-kernel (2.33) unstable; urgency=medium

  * Add support for Seagate FreeAgent DockStar.
  * Remove obsolete information about the kernel postinst hook from the
    README file.
  * Fix insecure usage of temporary files.  Discovered and patched by
    Loïc Minier, thanks!

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 19 Oct 2010 19:33:26 +0100

flash-kernel (2.32) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Persian (fa.po) by acathur
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Central Khmer (km.po) by Khoem Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Arangel Angov

 -- Otavio Salvador <otavio@debian.org>  Sun, 11 Jul 2010 17:47:41 -0300

flash-kernel (2.31) unstable; urgency=low

  * Add support for the HP t5325 Thin Client.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 19 Jun 2010 13:12:44 +0100

flash-kernel (2.30) unstable; urgency=low

  * Add support for OpenRD-Ultimate.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 19 Jun 2010 11:02:44 +0100

flash-kernel (2.29) unstable; urgency=low

  * Add support for the GuruPlug.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 24 May 2010 13:56:57 +0100

flash-kernel (2.28) unstable; urgency=low

  [ John Holland ]
  * Add support for the eSATA SheevaPlug.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bengali (bn.po) by Israt Jahan
  * German (de.po) by Holger Wansing
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 16 Mar 2010 16:15:19 +0000

flash-kernel (2.27) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add support for the QNAP TS-410, TS-410U, TS-419P and TS-419U
    Turbo NAS.
  * Mention that the QNAP TS-110 and TS-210 Turbo NAS are supported.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 03 Nov 2009 17:28:08 +0000

flash-kernel (2.26) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add an option --machine to specify the device but leave this option
    undocumented since it only has limited use.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 02 Nov 2009 21:43:08 +0000

flash-kernel (2.25) unstable; urgency=low

  [ Colin Watson ]
  * Use the EXIT trap instead of ERR, which is a bashism.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 19 Oct 2009 17:16:14 +0100

flash-kernel (2.24) unstable; urgency=low

  [ Martin Michlmayr ]
  * Move back flash-kernel to its original location upon failure of
    the udeb postinst, otherwise the postinst will fail when run
    another time.
  * Don't hardcode the machine ID for Marvell SheevaPlug, OpenRD-Base
    and OpenRD-Client since the boot loader will (or can be configured
    to) use the correct machine ID.  This allows installed disks to be
    shared between these devices.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 18 Oct 2009 18:29:05 +0100

flash-kernel (2.23) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Martin Michlmayr ]
  * Add support for the Marvell OpenRD-Base and OpenRD-Client.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 28 Sep 2009 21:53:22 +0100

flash-kernel (2.22) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add the Intel SS4000-E to the README file as a supported device.
  * Fix syntax error in the postinst of the udeb.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 30 Jul 2009 08:18:55 +0200

flash-kernel (2.21) unstable; urgency=low

  * debian/flash-kernel-installer.postinst: run update-initramfs -u in
    case of Lanner EM7210, so as to override root= kernel argument.
  * debian/rules: add "-X.svn" line to dh_install call, so that
    subversion directories aren't needlessly copied

 -- Wouter Verhelst <wouter@debian.org>  Sat, 25 Jul 2009 14:37:49 +0200

flash-kernel (2.20) unstable; urgency=low

  * Add support for Lanner EM7210 and compatibles (e.g., Intel SS4000-e)

 -- Wouter Verhelst <wouter@debian.org>  Sat, 06 Jun 2009 14:42:34 +0200

flash-kernel (2.19) unstable; urgency=low

  * Add support for the SheevaPlug.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 25 May 2009 21:12:05 +0200

flash-kernel (2.18) unstable; urgency=low

  [ Colin Watson ]
  * Make findfs use the last of any mounts found, in case there's more than
    one due to pilot error in the partitioner.

  [ Martin Michlmayr ]
  * No longer add a kernel postinst hook that calls flash-kernel.  Closes:
    #526640
  * Add a NEWS file telling people that they can remove the postinst hook.
  * Depend on initramfs-tools (>= 0.92f), which was the first version
    that called flash-kernel.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 19 May 2009 12:56:10 +0200

flash-kernel (2.17) unstable; urgency=low

  * Add kirkwood as a supported subarchitecture, but only activate
    flash-kernel on the QNAP TS-119/TS-219 so far.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 31 Mar 2009 21:31:12 +0200

flash-kernel (2.16) unstable; urgency=low

  [ Otavio Salvador ]
  * Apply patch from Per Andersson <avtobiff@gmail.com> to update the
    manpage to describe the behaviour of the subarch check and the new
    naming conventions.  Closes: #521356

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 31 Mar 2009 17:29:26 +0200

flash-kernel (2.15) unstable; urgency=low

  [ Colin Watson ]
  * Remove unused cruft from debian/rules, pointed out by Loïc Minier.
  * Add lots of defensive shell quoting, also pointed out by Loïc Minier.

  [ Martin Michlmayr ]
  * Add support for QNAP TS-119 and TS-219 Turbo NAS.
  * Remove some code duplication in the initramfs hook.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 24 Mar 2009 20:03:24 +0100

flash-kernel (2.14) unstable; urgency=low

  * Display a message when the generation of the u-boot image for the
    D-Link DNS-323 is done.

  [ Updated translations ]
  * Galician (gl.po) by marce villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Kazakh (kk.po) by daur88
  * Malayalam (ml.po) by Praveen Arimbrathodiyil

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 08 Mar 2009 22:03:02 +0100

flash-kernel (2.13) unstable; urgency=high

  * Map LVM devices in the form of /dev/vg/lv to /dev/mapper/...,
    otherwise initramfs-tools won't initialize them.  Closes: #513504

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 29 Jan 2009 23:10:16 +0100

flash-kernel (2.12) unstable; urgency=high

  * Rebuild with fixed Danish translation

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 09 Jan 2009 22:26:38 +0100

flash-kernel (2.11) unstable; urgency=low

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Danish (da.po)
  * Latvian (lv.po) by Peteris Krisjanis
  * Macedonian (mk.po) by Arangel Angov
  * Albanian (sq.po) by Elian Myftiu
  * Serbian (sr.po) by Veselin Mijušković
  * Ukrainian (uk.po) by Євгеній Мещеряков

 -- Frans Pop <fjp@debian.org>  Tue, 23 Sep 2008 05:29:36 +0200

flash-kernel (2.10) unstable; urgency=low

  * Temporarily move flash-kernel out of the way in the udeb postinst
    so update-initramfs won't call flash-kernel; otherwise we'd call
    it twice.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Georgian (ka.po) by Aiet Kolkhi
  * Central Khmer (km.po) by KHOEM Sokhem
  * Malayalam (ml.po) by പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 15 Sep 2008 13:24:21 +0300

flash-kernel (2.9) unstable; urgency=low

  * Pause again when an unknown root is found.
  * Print a better warning when the LABEL is not found.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 24 Aug 2008 21:31:20 +0300

flash-kernel (2.8) unstable; urgency=low

  * Make sure that ROOT in the initramfs is properly quoted.
  * Support disk LABELs that contain / (inspired by #489008).

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 24 Aug 2008 17:56:31 +0300

flash-kernel (2.7) unstable; urgency=low

  * Fix UUID warning to refer to the correct directory.
  * Improve warning shown when LABEL doesn't exist in /dev/disk/by-label.
  * Use sda2 rather than sda1 as root device (when parsing of /etc/fstab
    fails) since this is what the installer will use by default.
  * Move GLAN Tank support from glantank-utils/glantank-installer to
    this package.
  * Put in one more step in the progress bar (typically before the long
    update-initramfs call).
  * Stop the progress bar when an error occurs, thanks Frans Pop.

  [ Updated translations ]
  * Greek, Modern (1453-) (el.po)

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 24 Aug 2008 16:37:17 +0300

flash-kernel (2.6) unstable; urgency=low

  * Set FSCKFIX=yes in /etc/default/rcS to stop fsck from prompting the
    user for input since most users don't have a serial console.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 17 Aug 2008 16:31:53 +0300

flash-kernel (2.5) unstable; urgency=low

  [ Joey Hess ]
  * Add a --supported option that can be used to check if flash-kernel
    should be used.

  [ Martin Michlmayr ]
  * Add support for Buffalo Linkstation Pro/Live based on existing Kurobox
    support.  Thanks to Tim Small for testing the change.
  * Add support for D-Link DNS-323 (not tested on real hardware).

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Josip Rodin
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 10 Aug 2008 16:35:22 +0300

flash-kernel (2.4) unstable; urgency=low

  * Add support for the Buffalo Kurobox Pro.  Patch from Per Andersson
    as part of his Google Summer of Code project.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 21 Jul 2008 12:55:53 +0300

flash-kernel (2.3) unstable; urgency=low

  * Update the man page to say that flash-kernel now also supports
    devices that require a special boot image on disk.
  * Improve the package description and README.
  * Install mv2120-utils on the HP mv2120 if it's available but don't
    fail if it's not (since the package is not essential for
    operation).

  [ Updated translations ]
  * German (de.po) by Jens Seidel

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 14 Jul 2008 23:01:27 +0300

flash-kernel (2.2) unstable; urgency=low

  * mv2120: Don't fail when the "boot" symlink exists already.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Korean (ko.po) by Changwoo Ryu
  * Swedish (sv.po) by Daniel Nylander

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 13 Jul 2008 15:35:32 +0300

flash-kernel (2.1.1) unstable; urgency=low

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Marathi (mr.po) by Sampada
  * Dutch (nl.po) by Frans Pop
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 08 Jul 2008 09:09:49 +0300

flash-kernel (2.1) unstable; urgency=low

  * Check whether /dev/mtdblockX is a block device before writing to
    it since the device might not exist when a user has disabled
    udev.  Closes: #488565

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Esperanto (eo.po) by Esperanto
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Milo Casagrande
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Frans Pop
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Slovenian (sl.po) by Matej Kovacic
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Mert Dirik
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Kov Chai

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 30 Jun 2008 13:36:24 +0200

flash-kernel (2.0) unstable; urgency=low

  [ Joey Hess ]
  * Try to install the new ixp4xx-microcode package, falling back to copying
    microcode files only if the installation fails.
  * Remove code to copy ixp4xx-microcode files from d-i to target.
    This is handled more generically by hw-detect version 1.64.

  [ Martin Michlmayr ]
  * Add support for HP Media Vault mv2120 (this machine actually boots
    from disk rather then flash; but it makes sense to use the
    infrastructure provided by flash-kernel).
  * Update the package description and README to say that flash-kernel
    makes embedded devices bootable (either by putting the kernel and
    ramdisk in flash or by constructing a specific boot image).
  * Update the debconf notes accordingly, thanks Christian Perrier.
  * Increase the version number to reflect these changes in purpose.
  * Add an ellipsis to progress bar indicators as recommended by
    Christian Perrier.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 29 Jun 2008 14:33:17 +0200

flash-kernel (1.11) unstable; urgency=low

  * Add support for QNAP TS-409.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 11 May 2008 09:35:11 +0200

flash-kernel (1.10) unstable; urgency=low

  * Add orion5x to XB-Subarchitecture, thanks Frans Pop.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 10 May 2008 19:55:09 +0200

flash-kernel (1.9) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add a Depends on initramfs-tools, thanks Tim Froidcoeur.

  [ Updated translations ]
  * Marathi (mr.po) by Sampada
  * Panjabi (pa.po) by Amanpreet Singh Alam

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 10 May 2008 07:53:48 +0200

flash-kernel (1.8) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add support for QNAP TS-109/TS-209.
  * Sync the Thecus initramfs-tools hook with the one from nslu2-utils:
    - Support LABEL and UUID in /etc/fstab.
    - Fix fstab parsing to ignore comments.
  * Make the initramfs-tools hook to set the root partition more generic
    and run it on Thecus N2100, QNAP TS-109/TS-209 and Linksys NSLU2.
  * Improve the initramfs-tools hook (to set the root partition):
    - Handle quoted LABELs and UUIDs.  Closes: #471390
    - Check if the specified UUID actually exists.  Closes: #471393
    - Accept multiple = characters in a string.
  * Remove support for the old Intel IXP4xx Ethernet driver.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 25 Mar 2008 19:36:14 +0100

flash-kernel (1.7) unstable; urgency=low

  [ Joey Hess ]
  * Copy nslu2 firmware idempotently.

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Indonesian (id.po) by Arief S Fitrianto
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Viesturs Zarins
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Panjabi (pa.po) by A S Alam
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 15 Feb 2008 10:03:39 +0100

flash-kernel (1.6) unstable; urgency=low

  * Check whether kernel and ramdisk fit into flash before writing
    them.
  * Use the whole partition available for the ramdisk on NSLU2 (6 MB),
    not just the first 4 MB.  In order to be actually able to use
    ramdisks larger than 4 MB, a new version of APEX is needed though
    (see #451882).
  * Remove Iomega NAS 100d support at the request of Rod Whitby since
    the firmware does CRC checks and this isn't handled yet.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 20 Nov 2007 09:41:57 +0100

flash-kernel (1.5) unstable; urgency=low

  * Missed in the menu item number transition. Multiply menu item number by
    1000.

 -- Joey Hess <joeyh@debian.org>  Sun, 28 Oct 2007 15:10:12 -0400

flash-kernel (1.4) unstable; urgency=low

  * Convert the error about subarchitecture mismatches to a warning
    (but still don't write the bogus kernel to flash).

  [ Updated translations ]
  * Italian (it.po) by Stefano Canepa
  * Vietnamese (vi.po) by Clytie Siddall

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 28 Sep 2007 15:04:46 +0200

flash-kernel (1.3) unstable; urgency=low

  [ Otavio Salvador ]
  * Replace 'base-installer' dependency by 'installed-base' virtual
    package. Needs base-installer 1.81.

 -- Joey Hess <joeyh@debian.org>  Mon, 18 Jun 2007 17:19:29 -0400

flash-kernel (1.2) unstable; urgency=low

  [ Martin Michlmayr ]
  * Make the parsing code more robust so searching for "foo" won't match
    "foo2".  Thanks, Rod Whitby.
  * Print an error when the subarchitecture of the kernel doesn't match
    that of the device.  Closes: #411551.

  [ Rod Whitby ]
  * Add support for Iomega NAS 100d.  Closes: #403017.

  [ Gordon Farquharson ]
  * Reduce the running time of flash-kernel on the NSLU2 by almost 30
    seconds.  Closes: #413373.

  [ Updated translations ]
  * Basque (eu.po) by Piarres Beobide

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 25 Apr 2007 13:51:12 +0200

flash-kernel (1.1) unstable; urgency=low

  [ Joey Hess ]
  * Add armel and armeb architectures.

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Malayalam (ml.po) by Praveen A

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 27 Feb 2007 19:51:03 +0000

flash-kernel (1.0) unstable; urgency=low

  * Fix comment about the Sercomm header.  Closes: #402142.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Kurdish (ku.po) by rizoye-xerzi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by A S Alam
  * Romanian (ro.po) by Eddy Petrișor
  * Slovenian (sl.po) by Matej Kovačič

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 01 Feb 2007 16:28:02 +0100

flash-kernel (0.8) unstable; urgency=low

  [ Martin Michlmayr ]
  * Speed up flash-kernel on NSLU2 by reading the second part of the
    kernel in one go rather than byte by byte.
  * Write the kernel first, followed by the initramfs on Thecus N2100
    (for comsmetics reasons only).

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Polish (pl.po) by Bartosz Fenski

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 10 Nov 2006 08:15:06 +0000

flash-kernel (0.7) unstable; urgency=high

  * Copy the ixp400 modules to target if they exist.  This code got lost
    in the transition from nslu2-firmware-installer to this package.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 29 Oct 2006 11:41:34 +0100

flash-kernel (0.6) unstable; urgency=low

  * Provide an initramfs-tools hook for Thecus N2100/N4100 so the
    right root paramater is given to the kernel.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 23 Oct 2006 22:49:32 +0100

flash-kernel (0.5) unstable; urgency=low

  * Install the NSLU2 microcode to the target if it's found on the d-i
    image.
  * Changed the priority of flash-kernel-installer to standard so d-i will
    load it by default.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 23 Oct 2006 12:03:41 +0100

flash-kernel (0.4) unstable; urgency=low

  * Add ixp4xx to XB-Subarchitecture.

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 18 Oct 2006 10:59:25 +0100

flash-kernel (0.3) unstable; urgency=low

  * Install nslu2-utils and apex-nslu2 on NSLU2 devices.
  * Update flash-kernel-installer.isinstallable to list NSLU2.

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম)
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Khoem Sokhem
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 06 Oct 2006 10:17:27 +0100

flash-kernel (0.2) unstable; urgency=low

  [ Martin Michlmayr ]
  * Make the isinstallable script of flash-kernel-installer executable.
  * Add support for Linksys NSLU2.

  [ Christian Perrier ]
  * Correct debconf templates to fit the D-I writing style and add i18n stuff

  [ Joey Hess ]
  * Only build the deb for the architectures that it supports (currently only
    arm).

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * Greek (el.po) by quad-nrg.net
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Dutch (nl.po) by Bart Cornelis
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 30 Sep 2006 16:26:00 +0200

flash-kernel (0.1) unstable; urgency=low

  [ Martin Michlmayr ]
  * Initial release.
  * Add support for Thecus N2100.

  [ Joey Hess ]
  * Remove hardcoded path from kernel-image.conf, should not be necessary.
  * Fix i386 build issue.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 26 Sep 2006 15:14:51 +0200

